
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 64      |
| TEST_REGION               | [('0x80000390', '0x800042d0')]      |
| SIG_REGION                | [('0x80006010', '0x80007370', '620 dwords')]      |
| COV_LABELS                | andi      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/riscof/riscof_work/andi-01.S/andi-01.S    |
| Total Number of coverpoints| 719     |
| Total Coverpoints Hit     | 719      |
| Total Signature Updates   | 619      |
| STAT1                     | 619      |
| STAT2                     | 0      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```


```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|            signature             |                                                                                               coverpoints                                                                                               |                                 code                                  |
|---:|----------------------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|-----------------------------------------------------------------------|
|   1|[0x80006010]<br>0xFFFFFFFFFFFFF800|- opcode : andi<br> - rs1 : x18<br> - rd : x18<br> - rs1 == rd<br> - imm_val == (-2**(12-1))<br> - rs1_val != imm_val<br> - rs1_val < 0 and imm_val < 0<br> - imm_val == -2048<br> - rs1_val == -257<br> |[0x8000039c]:andi s2, s2, 2048<br> [0x800003a0]:sd s2, 0(t0)<br>       |
|   2|[0x80006018]<br>0x0000000000000000|- rs1 : x8<br> - rd : x17<br> - rs1 != rd<br> - imm_val == 0<br> - rs1_val == -65537<br>                                                                                                                 |[0x800003ac]:andi a7, fp, 0<br> [0x800003b0]:sd a7, 8(t0)<br>          |
|   3|[0x80006020]<br>0x0000000000000400|- rs1 : x19<br> - rd : x10<br> - imm_val == (2**(12-1)-1)<br> - rs1_val > 0 and imm_val > 0<br> - imm_val == 2047<br> - rs1_val == 1024<br>                                                              |[0x800003b8]:andi a0, s3, 2047<br> [0x800003bc]:sd a0, 16(t0)<br>      |
|   4|[0x80006028]<br>0x0000000000000000|- rs1 : x20<br> - rd : x1<br> - imm_val == 1<br> - rs1_val == 4096<br>                                                                                                                                   |[0x800003c4]:andi ra, s4, 1<br> [0x800003c8]:sd ra, 24(t0)<br>         |
|   5|[0x80006030]<br>0x0000000000000000|- rs1 : x22<br> - rd : x31<br> - rs1_val == (-2**(xlen-1))<br> - rs1_val < 0 and imm_val > 0<br> - rs1_val == -9223372036854775808<br>                                                                   |[0x800003d4]:andi t6, s6, 1364<br> [0x800003d8]:sd t6, 32(t0)<br>      |
|   6|[0x80006038]<br>0x0000000000000000|- rs1 : x3<br> - rd : x24<br> - rs1_val == 0<br> - rs1_val==0 and imm_val==45<br>                                                                                                                        |[0x800003e0]:andi s8, gp, 45<br> [0x800003e4]:sd s8, 40(t0)<br>        |
|   7|[0x80006040]<br>0x0000000000000200|- rs1 : x6<br> - rd : x2<br> - rs1_val == (2**(xlen-1)-1)<br> - imm_val == 512<br> - rs1_val == 9223372036854775807<br>                                                                                  |[0x800003f4]:andi sp, t1, 512<br> [0x800003f8]:sd sp, 48(t0)<br>       |
|   8|[0x80006048]<br>0x0000000000000001|- rs1 : x1<br> - rd : x7<br> - rs1_val == 1<br> - rs1_val > 0 and imm_val < 0<br> - imm_val == -33<br>                                                                                                   |[0x80000400]:andi t2, ra, 4063<br> [0x80000404]:sd t2, 56(t0)<br>      |
|   9|[0x80006050]<br>0x0000000000000000|- rs1 : x31<br> - rd : x29<br> - rs1_val == imm_val<br> - rs1_val==0 and imm_val==0<br>                                                                                                                  |[0x8000040c]:andi t4, t6, 0<br> [0x80000410]:sd t4, 64(t0)<br>         |
|  10|[0x80006058]<br>0x0000000000000002|- rs1 : x23<br> - rd : x26<br> - imm_val == 2<br> - rs1_val == -17<br>                                                                                                                                   |[0x80000418]:andi s10, s7, 2<br> [0x8000041c]:sd s10, 72(t0)<br>       |
|  11|[0x80006060]<br>0x0000000000000000|- rs1 : x9<br> - rd : x27<br> - imm_val == 4<br>                                                                                                                                                         |[0x80000424]:andi s11, s1, 4<br> [0x80000428]:sd s11, 80(t0)<br>       |
|  12|[0x80006068]<br>0x0000000000000008|- rs1 : x2<br> - rd : x20<br> - imm_val == 8<br> - rs1_val == -288230376151711745<br>                                                                                                                    |[0x80000438]:andi s4, sp, 8<br> [0x8000043c]:sd s4, 88(t0)<br>         |
|  13|[0x80006070]<br>0x0000000000000000|- rs1 : x13<br> - rd : x21<br> - imm_val == 16<br> - rs1_val == 2199023255552<br>                                                                                                                        |[0x80000448]:andi s5, a3, 16<br> [0x8000044c]:sd s5, 96(t0)<br>        |
|  14|[0x80006078]<br>0x0000000000000000|- rs1 : x15<br> - rd : x28<br> - imm_val == 32<br> - rs1_val == 16<br>                                                                                                                                   |[0x80000454]:andi t3, a5, 32<br> [0x80000458]:sd t3, 104(t0)<br>       |
|  15|[0x80006080]<br>0x0000000000000040|- rs1 : x21<br> - rd : x30<br> - imm_val == 64<br>                                                                                                                                                       |[0x80000468]:andi t5, s5, 64<br> [0x8000046c]:sd t5, 112(t0)<br>       |
|  16|[0x80006088]<br>0x0000000000000080|- rs1 : x30<br> - rd : x13<br> - imm_val == 128<br> - rs1_val == -4194305<br>                                                                                                                            |[0x80000478]:andi a3, t5, 128<br> [0x8000047c]:sd a3, 120(t0)<br>      |
|  17|[0x80006090]<br>0x0000000000000000|- rs1 : x26<br> - rd : x22<br> - imm_val == 256<br> - rs1_val == 1125899906842624<br>                                                                                                                    |[0x80000488]:andi s6, s10, 256<br> [0x8000048c]:sd s6, 128(t0)<br>     |
|  18|[0x80006098]<br>0x0000000000000400|- rs1 : x29<br> - rd : x4<br> - imm_val == 1024<br>                                                                                                                                                      |[0x800004b0]:andi tp, t4, 1024<br> [0x800004b4]:sd tp, 136(t0)<br>     |
|  19|[0x800060a0]<br>0x0000000000000000|- rs1 : x25<br> - rd : x0<br> - imm_val == -2<br>                                                                                                                                                        |[0x800004d8]:andi zero, s9, 4094<br> [0x800004dc]:sd zero, 144(t0)<br> |
|  20|[0x800060a8]<br>0x0000002000000000|- rs1 : x12<br> - rd : x23<br> - imm_val == -3<br> - rs1_val == 137438953472<br>                                                                                                                         |[0x800004e8]:andi s7, a2, 4093<br> [0x800004ec]:sd s7, 152(t0)<br>     |
|  21|[0x800060b0]<br>0xFFFFFDFFFFFFFFFB|- rs1 : x24<br> - rd : x6<br> - imm_val == -5<br> - rs1_val == -2199023255553<br>                                                                                                                        |[0x800004fc]:andi t1, s8, 4091<br> [0x80000500]:sd t1, 160(t0)<br>     |
|  22|[0x800060b8]<br>0x6666666666666665|- rs1 : x7<br> - rd : x11<br> - imm_val == -9<br>                                                                                                                                                        |[0x80000524]:andi a1, t2, 4087<br> [0x80000528]:sd a1, 168(t0)<br>     |
|  23|[0x800060c0]<br>0x5555555555555545|- rs1 : x28<br> - rd : x25<br> - imm_val == -17<br> - rs1_val == 6148914691236517205<br>                                                                                                                 |[0x80000554]:andi s9, t3, 4079<br> [0x80000558]:sd s9, 0(ra)<br>       |
|  24|[0x800060c8]<br>0x0000000000000008|- rs1 : x27<br> - rd : x5<br> - imm_val == -65<br> - rs1_val == 8<br>                                                                                                                                    |[0x80000560]:andi t0, s11, 4031<br> [0x80000564]:sd t0, 8(ra)<br>      |
|  25|[0x800060d0]<br>0xFFFFFBFFFFFFFF7F|- rs1 : x16<br> - rd : x19<br> - imm_val == -129<br> - rs1_val == -4398046511105<br>                                                                                                                     |[0x80000574]:andi s3, a6, 3967<br> [0x80000578]:sd s3, 16(ra)<br>      |
|  26|[0x800060d8]<br>0x4000000000000000|- rs1 : x10<br> - rd : x3<br> - imm_val == -257<br> - rs1_val == 4611686018427387904<br>                                                                                                                 |[0x80000584]:andi gp, a0, 3839<br> [0x80000588]:sd gp, 24(ra)<br>      |
|  27|[0x800060e0]<br>0x0000000000000000|- rs1 : x0<br> - rd : x16<br> - imm_val == -513<br>                                                                                                                                                      |[0x80000590]:andi a6, zero, 3583<br> [0x80000594]:sd a6, 32(ra)<br>    |
|  28|[0x800060e8]<br>0x3333333333333332|- rs1 : x17<br> - rd : x9<br> - imm_val == -1025<br>                                                                                                                                                     |[0x800005b8]:andi s1, a7, 3071<br> [0x800005bc]:sd s1, 40(ra)<br>      |
|  29|[0x800060f0]<br>0x0000000000000114|- rs1 : x14<br> - rd : x12<br> - imm_val == 1365<br> - rs1_val==3037000500 and imm_val==1365<br>                                                                                                         |[0x800005d0]:andi a2, a4, 1365<br> [0x800005d4]:sd a2, 48(ra)<br>      |
|  30|[0x800060f8]<br>0xFFBFFFFFFFFFFAAA|- rs1 : x5<br> - rd : x15<br> - imm_val == -1366<br> - rs1_val == -18014398509481985<br>                                                                                                                 |[0x800005e4]:andi a5, t0, 2730<br> [0x800005e8]:sd a5, 56(ra)<br>      |
|  31|[0x80006100]<br>0x0000000000000002|- rs1 : x11<br> - rd : x8<br> - rs1_val == 2<br> - rs1_val==2 and imm_val==-1365<br>                                                                                                                     |[0x800005f0]:andi fp, a1, 2731<br> [0x800005f4]:sd fp, 64(ra)<br>      |
|  32|[0x80006108]<br>0x0000000000000000|- rs1 : x4<br> - rd : x14<br> - rs1_val == 4<br>                                                                                                                                                         |[0x800005fc]:andi a4, tp, 2048<br> [0x80000600]:sd a4, 72(ra)<br>      |
|  33|[0x80006110]<br>0x0000000000000000|- rs1_val == 32<br>                                                                                                                                                                                      |[0x80000608]:andi a1, a0, 1365<br> [0x8000060c]:sd a1, 80(ra)<br>      |
|  34|[0x80006118]<br>0x0000000000000000|- rs1_val == 64<br>                                                                                                                                                                                      |[0x80000614]:andi a1, a0, 0<br> [0x80000618]:sd a1, 88(ra)<br>         |
|  35|[0x80006120]<br>0x0000000000000000|- rs1_val == 128<br>                                                                                                                                                                                     |[0x80000620]:andi a1, a0, 1638<br> [0x80000624]:sd a1, 96(ra)<br>      |
|  36|[0x80006128]<br>0x0000000000000100|- rs1_val == 256<br>                                                                                                                                                                                     |[0x8000062c]:andi a1, a0, 4086<br> [0x80000630]:sd a1, 104(ra)<br>     |
|  37|[0x80006130]<br>0x0000000000000000|- rs1_val == 512<br>                                                                                                                                                                                     |[0x80000638]:andi a1, a0, 2<br> [0x8000063c]:sd a1, 112(ra)<br>        |
|  38|[0x80006138]<br>0x0000000000000800|- rs1_val == 2048<br>                                                                                                                                                                                    |[0x80000648]:andi a1, a0, 2730<br> [0x8000064c]:sd a1, 120(ra)<br>     |
|  39|[0x80006140]<br>0x0000000000000000|- rs1_val == 8192<br>                                                                                                                                                                                    |[0x80000654]:andi a1, a0, 819<br> [0x80000658]:sd a1, 128(ra)<br>      |
|  40|[0x80006148]<br>0x0000000000000000|- rs1_val == 16384<br>                                                                                                                                                                                   |[0x80000660]:andi a1, a0, 1364<br> [0x80000664]:sd a1, 136(ra)<br>     |
|  41|[0x80006150]<br>0x0000000000000000|- rs1_val == 32768<br>                                                                                                                                                                                   |[0x8000066c]:andi a1, a0, 1366<br> [0x80000670]:sd a1, 144(ra)<br>     |
|  42|[0x80006158]<br>0x0000000000000000|- rs1_val == 65536<br>                                                                                                                                                                                   |[0x80000678]:andi a1, a0, 2<br> [0x8000067c]:sd a1, 152(ra)<br>        |
|  43|[0x80006160]<br>0x0000000000020000|- rs1_val == 131072<br>                                                                                                                                                                                  |[0x80000684]:andi a1, a0, 4093<br> [0x80000688]:sd a1, 160(ra)<br>     |
|  44|[0x80006168]<br>0x0000000000000000|- rs1_val == 262144<br>                                                                                                                                                                                  |[0x80000690]:andi a1, a0, 0<br> [0x80000694]:sd a1, 168(ra)<br>        |
|  45|[0x80006170]<br>0x0000000000000000|- rs1_val == 524288<br>                                                                                                                                                                                  |[0x8000069c]:andi a1, a0, 0<br> [0x800006a0]:sd a1, 176(ra)<br>        |
|  46|[0x80006178]<br>0x0000000000100000|- rs1_val == 1048576<br>                                                                                                                                                                                 |[0x800006a8]:andi a1, a0, 4052<br> [0x800006ac]:sd a1, 184(ra)<br>     |
|  47|[0x80006180]<br>0x0000000000200000|- rs1_val == 2097152<br>                                                                                                                                                                                 |[0x800006b4]:andi a1, a0, 4091<br> [0x800006b8]:sd a1, 192(ra)<br>     |
|  48|[0x80006188]<br>0x0000000000000000|- rs1_val == 4194304<br>                                                                                                                                                                                 |[0x800006c0]:andi a1, a0, 6<br> [0x800006c4]:sd a1, 200(ra)<br>        |
|  49|[0x80006190]<br>0x0000000000800000|- rs1_val == 8388608<br>                                                                                                                                                                                 |[0x800006cc]:andi a1, a0, 4094<br> [0x800006d0]:sd a1, 208(ra)<br>     |
|  50|[0x80006198]<br>0x0000000001000000|- rs1_val == 16777216<br>                                                                                                                                                                                |[0x800006d8]:andi a1, a0, 4087<br> [0x800006dc]:sd a1, 216(ra)<br>     |
|  51|[0x800061a0]<br>0x0000000000000000|- rs1_val == 33554432<br>                                                                                                                                                                                |[0x800006e4]:andi a1, a0, 7<br> [0x800006e8]:sd a1, 224(ra)<br>        |
|  52|[0x800061a8]<br>0x0000000000000000|- rs1_val == 67108864<br>                                                                                                                                                                                |[0x800006f0]:andi a1, a0, 7<br> [0x800006f4]:sd a1, 232(ra)<br>        |
|  53|[0x800061b0]<br>0x0000000000000000|- rs1_val == 134217728<br>                                                                                                                                                                               |[0x800006fc]:andi a1, a0, 1365<br> [0x80000700]:sd a1, 240(ra)<br>     |
|  54|[0x800061b8]<br>0x0000000000000000|- rs1_val == 268435456<br>                                                                                                                                                                               |[0x80000708]:andi a1, a0, 1364<br> [0x8000070c]:sd a1, 248(ra)<br>     |
|  55|[0x800061c0]<br>0x0000000000000000|- rs1_val == 536870912<br>                                                                                                                                                                               |[0x80000714]:andi a1, a0, 819<br> [0x80000718]:sd a1, 256(ra)<br>      |
|  56|[0x800061c8]<br>0x0000000040000000|- rs1_val == 1073741824<br>                                                                                                                                                                              |[0x80000720]:andi a1, a0, 2731<br> [0x80000724]:sd a1, 264(ra)<br>     |
|  57|[0x800061d0]<br>0x0000000080000000|- rs1_val == 2147483648<br>                                                                                                                                                                              |[0x80000730]:andi a1, a0, 4089<br> [0x80000734]:sd a1, 272(ra)<br>     |
|  58|[0x800061d8]<br>0x0000000000000000|- rs1_val == 4294967296<br>                                                                                                                                                                              |[0x80000740]:andi a1, a0, 128<br> [0x80000744]:sd a1, 280(ra)<br>      |
|  59|[0x800061e0]<br>0x0000000000000000|- rs1_val == 8589934592<br>                                                                                                                                                                              |[0x80000750]:andi a1, a0, 9<br> [0x80000754]:sd a1, 288(ra)<br>        |
|  60|[0x800061e8]<br>0x0000000400000000|- rs1_val == 17179869184<br>                                                                                                                                                                             |[0x80000760]:andi a1, a0, 4093<br> [0x80000764]:sd a1, 296(ra)<br>     |
|  61|[0x800061f0]<br>0x0000000000000000|- rs1_val == 34359738368<br>                                                                                                                                                                             |[0x80000770]:andi a1, a0, 4<br> [0x80000774]:sd a1, 304(ra)<br>        |
|  62|[0x800061f8]<br>0x0000001000000000|- rs1_val == 68719476736<br>                                                                                                                                                                             |[0x80000780]:andi a1, a0, 4093<br> [0x80000784]:sd a1, 312(ra)<br>     |
|  63|[0x80006200]<br>0x0000000000000000|- rs1_val == 274877906944<br>                                                                                                                                                                            |[0x80000790]:andi a1, a0, 0<br> [0x80000794]:sd a1, 320(ra)<br>        |
|  64|[0x80006208]<br>0x0000000000000000|- rs1_val == 549755813888<br>                                                                                                                                                                            |[0x800007a0]:andi a1, a0, 16<br> [0x800007a4]:sd a1, 328(ra)<br>       |
|  65|[0x80006210]<br>0x0000000000000000|- rs1_val == 1099511627776<br>                                                                                                                                                                           |[0x800007b0]:andi a1, a0, 1023<br> [0x800007b4]:sd a1, 336(ra)<br>     |
|  66|[0x80006218]<br>0x0000040000000000|- rs1_val == 4398046511104<br>                                                                                                                                                                           |[0x800007c0]:andi a1, a0, 2731<br> [0x800007c4]:sd a1, 344(ra)<br>     |
|  67|[0x80006220]<br>0x0000000000000000|- rs1_val == 8796093022208<br>                                                                                                                                                                           |[0x800007d0]:andi a1, a0, 64<br> [0x800007d4]:sd a1, 352(ra)<br>       |
|  68|[0x80006228]<br>0x0000100000000000|- rs1_val == 17592186044416<br>                                                                                                                                                                          |[0x800007e0]:andi a1, a0, 4052<br> [0x800007e4]:sd a1, 360(ra)<br>     |
|  69|[0x80006230]<br>0x0000000000000000|- rs1_val == 35184372088832<br>                                                                                                                                                                          |[0x800007f0]:andi a1, a0, 1639<br> [0x800007f4]:sd a1, 368(ra)<br>     |
|  70|[0x80006238]<br>0x0000000000000000|- rs1_val == 70368744177664<br>                                                                                                                                                                          |[0x80000800]:andi a1, a0, 7<br> [0x80000804]:sd a1, 376(ra)<br>        |
|  71|[0x80006240]<br>0x0000000000000000|- rs1_val == 140737488355328<br>                                                                                                                                                                         |[0x80000810]:andi a1, a0, 1365<br> [0x80000814]:sd a1, 384(ra)<br>     |
|  72|[0x80006248]<br>0x0000000000000000|- rs1_val == 281474976710656<br>                                                                                                                                                                         |[0x80000820]:andi a1, a0, 3<br> [0x80000824]:sd a1, 392(ra)<br>        |
|  73|[0x80006250]<br>0x0002000000000000|- rs1_val == 562949953421312<br>                                                                                                                                                                         |[0x80000830]:andi a1, a0, 4092<br> [0x80000834]:sd a1, 400(ra)<br>     |
|  74|[0x80006258]<br>0x0000000000000000|- rs1_val == 2251799813685248<br>                                                                                                                                                                        |[0x80000840]:andi a1, a0, 5<br> [0x80000844]:sd a1, 408(ra)<br>        |
|  75|[0x80006260]<br>0x0000000000000000|- rs1_val == 4503599627370496<br>                                                                                                                                                                        |[0x80000850]:andi a1, a0, 819<br> [0x80000854]:sd a1, 416(ra)<br>      |
|  76|[0x80006268]<br>0x0000000000000000|- rs1_val == 9007199254740992<br>                                                                                                                                                                        |[0x80000860]:andi a1, a0, 8<br> [0x80000864]:sd a1, 424(ra)<br>        |
|  77|[0x80006270]<br>0x0000000000000000|- rs1_val == 18014398509481984<br>                                                                                                                                                                       |[0x80000870]:andi a1, a0, 0<br> [0x80000874]:sd a1, 432(ra)<br>        |
|  78|[0x80006278]<br>0x0080000000000000|- rs1_val == 36028797018963968<br>                                                                                                                                                                       |[0x80000880]:andi a1, a0, 3072<br> [0x80000884]:sd a1, 440(ra)<br>     |
|  79|[0x80006280]<br>0x0000000000000000|- rs1_val == 72057594037927936<br>                                                                                                                                                                       |[0x80000890]:andi a1, a0, 0<br> [0x80000894]:sd a1, 448(ra)<br>        |
|  80|[0x80006288]<br>0x0200000000000000|- rs1_val == 144115188075855872<br>                                                                                                                                                                      |[0x800008a0]:andi a1, a0, 4086<br> [0x800008a4]:sd a1, 456(ra)<br>     |
|  81|[0x80006290]<br>0x0000000000000000|- rs1_val == 288230376151711744<br>                                                                                                                                                                      |[0x800008b0]:andi a1, a0, 1024<br> [0x800008b4]:sd a1, 464(ra)<br>     |
|  82|[0x80006298]<br>0x0000000000000000|- rs1_val == 576460752303423488<br>                                                                                                                                                                      |[0x800008c0]:andi a1, a0, 2<br> [0x800008c4]:sd a1, 472(ra)<br>        |
|  83|[0x800062a0]<br>0x1000000000000000|- rs1_val == 1152921504606846976<br>                                                                                                                                                                     |[0x800008d0]:andi a1, a0, 2730<br> [0x800008d4]:sd a1, 480(ra)<br>     |
|  84|[0x800062a8]<br>0x0000000000000000|- rs1_val == 2305843009213693952<br>                                                                                                                                                                     |[0x800008e0]:andi a1, a0, 1639<br> [0x800008e4]:sd a1, 488(ra)<br>     |
|  85|[0x800062b0]<br>0x0000000000000006|- rs1_val == -2<br>                                                                                                                                                                                      |[0x800008ec]:andi a1, a0, 7<br> [0x800008f0]:sd a1, 496(ra)<br>        |
|  86|[0x800062b8]<br>0x0000000000000330|- rs1_val == -3<br>                                                                                                                                                                                      |[0x800008f8]:andi a1, a0, 818<br> [0x800008fc]:sd a1, 504(ra)<br>      |
|  87|[0x800062c0]<br>0x0000000000000000|- rs1_val == -5<br>                                                                                                                                                                                      |[0x80000904]:andi a1, a0, 4<br> [0x80000908]:sd a1, 512(ra)<br>        |
|  88|[0x800062c8]<br>0x0000000000000007|- rs1_val == -9<br>                                                                                                                                                                                      |[0x80000910]:andi a1, a0, 7<br> [0x80000914]:sd a1, 520(ra)<br>        |
|  89|[0x800062d0]<br>0xFFFFFFFFFFFFFFDC|- rs1_val == -33<br>                                                                                                                                                                                     |[0x8000091c]:andi a1, a0, 4092<br> [0x80000920]:sd a1, 528(ra)<br>     |
|  90|[0x800062d8]<br>0x0000000000000626|- rs1_val == -65<br>                                                                                                                                                                                     |[0x80000928]:andi a1, a0, 1638<br> [0x8000092c]:sd a1, 536(ra)<br>     |
|  91|[0x800062e0]<br>0x0000000000000000|- rs1_val == -129<br>                                                                                                                                                                                    |[0x80000934]:andi a1, a0, 0<br> [0x80000938]:sd a1, 544(ra)<br>        |
|  92|[0x800062e8]<br>0x0000000000000467|- rs1_val == -513<br>                                                                                                                                                                                    |[0x80000940]:andi a1, a0, 1639<br> [0x80000944]:sd a1, 552(ra)<br>     |
|  93|[0x800062f0]<br>0x0000000000000002|- rs1_val == -1025<br>                                                                                                                                                                                   |[0x8000094c]:andi a1, a0, 2<br> [0x80000950]:sd a1, 560(ra)<br>        |
|  94|[0x800062f8]<br>0x0000000000000007|- rs1_val == -2049<br>                                                                                                                                                                                   |[0x8000095c]:andi a1, a0, 7<br> [0x80000960]:sd a1, 568(ra)<br>        |
|  95|[0x80006300]<br>0x0000000000000000|- rs1_val == -4097<br>                                                                                                                                                                                   |[0x8000096c]:andi a1, a0, 0<br> [0x80000970]:sd a1, 576(ra)<br>        |
|  96|[0x80006308]<br>0x0000000000000005|- rs1_val == -8193<br>                                                                                                                                                                                   |[0x8000097c]:andi a1, a0, 5<br> [0x80000980]:sd a1, 584(ra)<br>        |
|  97|[0x80006310]<br>0x00000000000003FF|- rs1_val == -16385<br>                                                                                                                                                                                  |[0x8000098c]:andi a1, a0, 1023<br> [0x80000990]:sd a1, 592(ra)<br>     |
|  98|[0x80006318]<br>0x0000000000000000|- rs1_val == -32769<br>                                                                                                                                                                                  |[0x8000099c]:andi a1, a0, 0<br> [0x800009a0]:sd a1, 600(ra)<br>        |
|  99|[0x80006320]<br>0xFFFFFFFFFFFDFFF9|- rs1_val == -131073<br>                                                                                                                                                                                 |[0x800009ac]:andi a1, a0, 4089<br> [0x800009b0]:sd a1, 608(ra)<br>     |
| 100|[0x80006328]<br>0xFFFFFFFFFFF7FFFD|- rs1_val == -524289<br>                                                                                                                                                                                 |[0x800009bc]:andi a1, a0, 4093<br> [0x800009c0]:sd a1, 616(ra)<br>     |
| 101|[0x80006330]<br>0x0000000000000334|- rs1_val == -1048577<br>                                                                                                                                                                                |[0x800009cc]:andi a1, a0, 820<br> [0x800009d0]:sd a1, 624(ra)<br>      |
| 102|[0x80006338]<br>0xFFFFFFFFFFDFFFF6|- rs1_val == -2097153<br>                                                                                                                                                                                |[0x800009dc]:andi a1, a0, 4086<br> [0x800009e0]:sd a1, 632(ra)<br>     |
| 103|[0x80006340]<br>0x0000000000000002|- rs1_val == -8388609<br>                                                                                                                                                                                |[0x800009ec]:andi a1, a0, 2<br> [0x800009f0]:sd a1, 640(ra)<br>        |
| 104|[0x80006348]<br>0x0000000000000000|- rs1_val == -16777217<br>                                                                                                                                                                               |[0x800009fc]:andi a1, a0, 0<br> [0x80000a00]:sd a1, 648(ra)<br>        |
| 105|[0x80006350]<br>0x0000000000000008|- rs1_val == -33554433<br>                                                                                                                                                                               |[0x80000a0c]:andi a1, a0, 8<br> [0x80000a10]:sd a1, 656(ra)<br>        |
| 106|[0x80006358]<br>0x0000000000000332|- rs1_val == -67108865<br>                                                                                                                                                                               |[0x80000a1c]:andi a1, a0, 818<br> [0x80000a20]:sd a1, 664(ra)<br>      |
| 107|[0x80006360]<br>0xFFFFFFFFF7FFFFD3|- rs1_val == -134217729<br>                                                                                                                                                                              |[0x80000a2c]:andi a1, a0, 4051<br> [0x80000a30]:sd a1, 672(ra)<br>     |
| 108|[0x80006368]<br>0x0000000000000005|- rs1_val == -268435457<br>                                                                                                                                                                              |[0x80000a3c]:andi a1, a0, 5<br> [0x80000a40]:sd a1, 680(ra)<br>        |
| 109|[0x80006370]<br>0x0000000000000000|- rs1_val == -536870913<br>                                                                                                                                                                              |[0x80000a4c]:andi a1, a0, 0<br> [0x80000a50]:sd a1, 688(ra)<br>        |
| 110|[0x80006378]<br>0xFFFFFFFFBFFFFFD3|- rs1_val == -1073741825<br>                                                                                                                                                                             |[0x80000a5c]:andi a1, a0, 4051<br> [0x80000a60]:sd a1, 696(ra)<br>     |
| 111|[0x80006380]<br>0x00000000000003FF|- rs1_val == -2147483649<br>                                                                                                                                                                             |[0x80000a70]:andi a1, a0, 1023<br> [0x80000a74]:sd a1, 704(ra)<br>     |
| 112|[0x80006388]<br>0x0000000000000006|- rs1_val == -4294967297<br>                                                                                                                                                                             |[0x80000a84]:andi a1, a0, 6<br> [0x80000a88]:sd a1, 712(ra)<br>        |
| 113|[0x80006390]<br>0x0000000000000556|- rs1_val == -8589934593<br>                                                                                                                                                                             |[0x80000a98]:andi a1, a0, 1366<br> [0x80000a9c]:sd a1, 720(ra)<br>     |
| 114|[0x80006398]<br>0xFFFFFFFBFFFFFAAA|- rs1_val == -17179869185<br>                                                                                                                                                                            |[0x80000aac]:andi a1, a0, 2730<br> [0x80000ab0]:sd a1, 728(ra)<br>     |
| 115|[0x800063a0]<br>0x0000000000000020|- rs1_val == -34359738369<br>                                                                                                                                                                            |[0x80000ac0]:andi a1, a0, 32<br> [0x80000ac4]:sd a1, 736(ra)<br>       |
| 116|[0x800063a8]<br>0xFFFFFFEFFFFFFFD3|- rs1_val == -68719476737<br>                                                                                                                                                                            |[0x80000ad4]:andi a1, a0, 4051<br> [0x80000ad8]:sd a1, 744(ra)<br>     |
| 117|[0x800063b0]<br>0x0000000000000004|- rs1_val == -137438953473<br>                                                                                                                                                                           |[0x80000ae8]:andi a1, a0, 4<br> [0x80000aec]:sd a1, 752(ra)<br>        |
| 118|[0x800063b8]<br>0x000000000000002D|- rs1_val == -274877906945<br>                                                                                                                                                                           |[0x80000afc]:andi a1, a0, 45<br> [0x80000b00]:sd a1, 760(ra)<br>       |
| 119|[0x800063c0]<br>0x0000000000000020|- rs1_val == -549755813889<br>                                                                                                                                                                           |[0x80000b10]:andi a1, a0, 32<br> [0x80000b14]:sd a1, 768(ra)<br>       |
| 120|[0x800063c8]<br>0xFFFFFEFFFFFFFFD4|- rs1_val == -1099511627777<br>                                                                                                                                                                          |[0x80000b24]:andi a1, a0, 4052<br> [0x80000b28]:sd a1, 776(ra)<br>     |
| 121|[0x800063d0]<br>0xFFFFF7FFFFFFFFFB|- rs1_val == -8796093022209<br>                                                                                                                                                                          |[0x80000b38]:andi a1, a0, 4091<br> [0x80000b3c]:sd a1, 784(ra)<br>     |
| 122|[0x800063d8]<br>0xFFFFEFFFFFFFFFD4|- rs1_val == -17592186044417<br>                                                                                                                                                                         |[0x80000b4c]:andi a1, a0, 4052<br> [0x80000b50]:sd a1, 792(ra)<br>     |
| 123|[0x800063e0]<br>0xFFFFDFFFFFFFFFD4|- rs1_val == -35184372088833<br>                                                                                                                                                                         |[0x80000b60]:andi a1, a0, 4052<br> [0x80000b64]:sd a1, 800(ra)<br>     |
| 124|[0x800063e8]<br>0x000000000000002C|- rs1_val == -70368744177665<br>                                                                                                                                                                         |[0x80000b74]:andi a1, a0, 44<br> [0x80000b78]:sd a1, 808(ra)<br>       |
| 125|[0x800063f0]<br>0x0000000000000555|- rs1_val == -140737488355329<br>                                                                                                                                                                        |[0x80000b88]:andi a1, a0, 1365<br> [0x80000b8c]:sd a1, 816(ra)<br>     |
| 126|[0x800063f8]<br>0x0000000000000334|- rs1_val == -281474976710657<br>                                                                                                                                                                        |[0x80000b9c]:andi a1, a0, 820<br> [0x80000ba0]:sd a1, 824(ra)<br>      |
| 127|[0x80006400]<br>0xFFFDFFFFFFFFFFBF|- rs1_val == -562949953421313<br>                                                                                                                                                                        |[0x80000bb0]:andi a1, a0, 4031<br> [0x80000bb4]:sd a1, 832(ra)<br>     |
| 128|[0x80006408]<br>0xFFFBFFFFFFFFFFD4|- rs1_val == -1125899906842625<br>                                                                                                                                                                       |[0x80000bc4]:andi a1, a0, 4052<br> [0x80000bc8]:sd a1, 840(ra)<br>     |
| 129|[0x80006410]<br>0xFFF7FFFFFFFFFFD4|- rs1_val == -2251799813685249<br>                                                                                                                                                                       |[0x80000bd8]:andi a1, a0, 4052<br> [0x80000bdc]:sd a1, 848(ra)<br>     |
| 130|[0x80006418]<br>0xFFEFFFFFFFFFFBFF|- rs1_val == -4503599627370497<br>                                                                                                                                                                       |[0x80000bec]:andi a1, a0, 3071<br> [0x80000bf0]:sd a1, 856(ra)<br>     |
| 131|[0x80006420]<br>0xFFDFFFFFFFFFFFD3|- rs1_val == -9007199254740993<br>                                                                                                                                                                       |[0x80000c00]:andi a1, a0, 4051<br> [0x80000c04]:sd a1, 864(ra)<br>     |
| 132|[0x80006428]<br>0xFF7FFFFFFFFFFFFB|- rs1_val == -36028797018963969<br>                                                                                                                                                                      |[0x80000c14]:andi a1, a0, 4091<br> [0x80000c18]:sd a1, 872(ra)<br>     |
| 133|[0x80006430]<br>0x0000000000000332|- rs1_val == -72057594037927937<br>                                                                                                                                                                      |[0x80000c28]:andi a1, a0, 818<br> [0x80000c2c]:sd a1, 880(ra)<br>      |
| 134|[0x80006438]<br>0x0000000000000003|- rs1_val == -144115188075855873<br>                                                                                                                                                                     |[0x80000c3c]:andi a1, a0, 3<br> [0x80000c40]:sd a1, 888(ra)<br>        |
| 135|[0x80006440]<br>0x0000000000000000|- rs1_val == -576460752303423489<br>                                                                                                                                                                     |[0x80000c50]:andi a1, a0, 0<br> [0x80000c54]:sd a1, 896(ra)<br>        |
| 136|[0x80006448]<br>0x0000000000000080|- rs1_val == -1152921504606846977<br>                                                                                                                                                                    |[0x80000c64]:andi a1, a0, 128<br> [0x80000c68]:sd a1, 904(ra)<br>      |
| 137|[0x80006450]<br>0x0000000000000004|- rs1_val == -2305843009213693953<br>                                                                                                                                                                    |[0x80000c78]:andi a1, a0, 4<br> [0x80000c7c]:sd a1, 912(ra)<br>        |
| 138|[0x80006458]<br>0x0000000000000556|- rs1_val == -4611686018427387905<br>                                                                                                                                                                    |[0x80000c8c]:andi a1, a0, 1366<br> [0x80000c90]:sd a1, 920(ra)<br>     |
| 139|[0x80006460]<br>0x0000000000000000|- rs1_val == -6148914691236517206<br> - rs1_val==-6148914691236517206 and imm_val==0<br>                                                                                                                 |[0x80000cb4]:andi a1, a0, 0<br> [0x80000cb8]:sd a1, 928(ra)<br>        |
| 140|[0x80006468]<br>0x0000000000000003|- rs1_val==3 and imm_val==3<br>                                                                                                                                                                          |[0x80000cc0]:andi a1, a0, 3<br> [0x80000cc4]:sd a1, 936(ra)<br>        |
| 141|[0x80006470]<br>0x0000000000000001|- rs1_val==3 and imm_val==1365<br>                                                                                                                                                                       |[0x80000ccc]:andi a1, a0, 1365<br> [0x80000cd0]:sd a1, 944(ra)<br>     |
| 142|[0x80006478]<br>0x0000000000000002|- rs1_val==3 and imm_val==-1366<br>                                                                                                                                                                      |[0x80000cd8]:andi a1, a0, 2730<br> [0x80000cdc]:sd a1, 952(ra)<br>     |
| 143|[0x80006480]<br>0x0000000000000001|- rs1_val==3 and imm_val==5<br>                                                                                                                                                                          |[0x80000ce4]:andi a1, a0, 5<br> [0x80000ce8]:sd a1, 960(ra)<br>        |
| 144|[0x80006488]<br>0x0000000000000003|- rs1_val==3 and imm_val==819<br>                                                                                                                                                                        |[0x80000cf0]:andi a1, a0, 819<br> [0x80000cf4]:sd a1, 968(ra)<br>      |
| 145|[0x80006490]<br>0x0000000000000002|- rs1_val==3 and imm_val==1638<br>                                                                                                                                                                       |[0x80000cfc]:andi a1, a0, 1638<br> [0x80000d00]:sd a1, 976(ra)<br>     |
| 146|[0x80006498]<br>0x0000000000000003|- rs1_val==3 and imm_val==-45<br>                                                                                                                                                                        |[0x80000d08]:andi a1, a0, 4051<br> [0x80000d0c]:sd a1, 984(ra)<br>     |
| 147|[0x800064a0]<br>0x0000000000000001|- rs1_val==3 and imm_val==45<br>                                                                                                                                                                         |[0x80000d14]:andi a1, a0, 45<br> [0x80000d18]:sd a1, 992(ra)<br>       |
| 148|[0x800064a8]<br>0x0000000000000002|- rs1_val==3 and imm_val==2<br>                                                                                                                                                                          |[0x80000d20]:andi a1, a0, 2<br> [0x80000d24]:sd a1, 1000(ra)<br>       |
| 149|[0x800064b0]<br>0x0000000000000000|- rs1_val==3 and imm_val==1364<br>                                                                                                                                                                       |[0x80000d2c]:andi a1, a0, 1364<br> [0x80000d30]:sd a1, 1008(ra)<br>    |
| 150|[0x800064b8]<br>0x0000000000000000|- rs1_val==3 and imm_val==0<br>                                                                                                                                                                          |[0x80000d38]:andi a1, a0, 0<br> [0x80000d3c]:sd a1, 1016(ra)<br>       |
| 151|[0x800064c0]<br>0x0000000000000000|- rs1_val==3 and imm_val==4<br>                                                                                                                                                                          |[0x80000d44]:andi a1, a0, 4<br> [0x80000d48]:sd a1, 1024(ra)<br>       |
| 152|[0x800064c8]<br>0x0000000000000002|- rs1_val==3 and imm_val==818<br>                                                                                                                                                                        |[0x80000d50]:andi a1, a0, 818<br> [0x80000d54]:sd a1, 1032(ra)<br>     |
| 153|[0x800064d0]<br>0x0000000000000001|- rs1_val==3 and imm_val==1637<br>                                                                                                                                                                       |[0x80000d5c]:andi a1, a0, 1637<br> [0x80000d60]:sd a1, 1040(ra)<br>    |
| 154|[0x800064d8]<br>0x0000000000000000|- rs1_val==3 and imm_val==44<br>                                                                                                                                                                         |[0x80000d68]:andi a1, a0, 44<br> [0x80000d6c]:sd a1, 1048(ra)<br>      |
| 155|[0x800064e0]<br>0x0000000000000002|- rs1_val==3 and imm_val==1366<br>                                                                                                                                                                       |[0x80000d74]:andi a1, a0, 1366<br> [0x80000d78]:sd a1, 1056(ra)<br>    |
| 156|[0x800064e8]<br>0x0000000000000003|- rs1_val==3 and imm_val==-1365<br>                                                                                                                                                                      |[0x80000d80]:andi a1, a0, 2731<br> [0x80000d84]:sd a1, 1064(ra)<br>    |
| 157|[0x800064f0]<br>0x0000000000000002|- rs1_val==3 and imm_val==6<br>                                                                                                                                                                          |[0x80000d8c]:andi a1, a0, 6<br> [0x80000d90]:sd a1, 1072(ra)<br>       |
| 158|[0x800064f8]<br>0x0000000000000000|- rs1_val==3 and imm_val==820<br>                                                                                                                                                                        |[0x80000d98]:andi a1, a0, 820<br> [0x80000d9c]:sd a1, 1080(ra)<br>     |
| 159|[0x80006500]<br>0x0000000000000003|- rs1_val==3 and imm_val==1639<br>                                                                                                                                                                       |[0x80000da4]:andi a1, a0, 1639<br> [0x80000da8]:sd a1, 1088(ra)<br>    |
| 160|[0x80006508]<br>0x0000000000000000|- rs1_val==3 and imm_val==-44<br>                                                                                                                                                                        |[0x80000db0]:andi a1, a0, 4052<br> [0x80000db4]:sd a1, 1096(ra)<br>    |
| 161|[0x80006510]<br>0x0000000000000002|- rs1_val==3 and imm_val==46<br>                                                                                                                                                                         |[0x80000dbc]:andi a1, a0, 46<br> [0x80000dc0]:sd a1, 1104(ra)<br>      |
| 162|[0x80006518]<br>0x0000000000000001|- rs1_val==6148914691236517205 and imm_val==3<br>                                                                                                                                                        |[0x80000de4]:andi a1, a0, 3<br> [0x80000de8]:sd a1, 1112(ra)<br>       |
| 163|[0x80006520]<br>0x0000000000000555|- rs1_val==6148914691236517205 and imm_val==1365<br>                                                                                                                                                     |[0x80000e0c]:andi a1, a0, 1365<br> [0x80000e10]:sd a1, 1120(ra)<br>    |
| 164|[0x80006528]<br>0x5555555555555000|- rs1_val==6148914691236517205 and imm_val==-1366<br>                                                                                                                                                    |[0x80000e34]:andi a1, a0, 2730<br> [0x80000e38]:sd a1, 1128(ra)<br>    |
| 165|[0x80006530]<br>0x0000000000000005|- rs1_val==6148914691236517205 and imm_val==5<br>                                                                                                                                                        |[0x80000e5c]:andi a1, a0, 5<br> [0x80000e60]:sd a1, 1136(ra)<br>       |
| 166|[0x80006538]<br>0x0000000000000111|- rs1_val==6148914691236517205 and imm_val==819<br>                                                                                                                                                      |[0x80000e84]:andi a1, a0, 819<br> [0x80000e88]:sd a1, 1144(ra)<br>     |
| 167|[0x80006540]<br>0x0000000000000444|- rs1_val==6148914691236517205 and imm_val==1638<br>                                                                                                                                                     |[0x80000eac]:andi a1, a0, 1638<br> [0x80000eb0]:sd a1, 1152(ra)<br>    |
| 168|[0x80006548]<br>0x5555555555555551|- rs1_val==6148914691236517205 and imm_val==-45<br>                                                                                                                                                      |[0x80000ed4]:andi a1, a0, 4051<br> [0x80000ed8]:sd a1, 1160(ra)<br>    |
| 169|[0x80006550]<br>0x0000000000000005|- rs1_val==6148914691236517205 and imm_val==45<br>                                                                                                                                                       |[0x80000efc]:andi a1, a0, 45<br> [0x80000f00]:sd a1, 1168(ra)<br>      |
| 170|[0x80006558]<br>0x0000000000000000|- rs1_val==6148914691236517205 and imm_val==2<br>                                                                                                                                                        |[0x80000f24]:andi a1, a0, 2<br> [0x80000f28]:sd a1, 1176(ra)<br>       |
| 171|[0x80006560]<br>0x0000000000000554|- rs1_val==6148914691236517205 and imm_val==1364<br>                                                                                                                                                     |[0x80000f4c]:andi a1, a0, 1364<br> [0x80000f50]:sd a1, 1184(ra)<br>    |
| 172|[0x80006568]<br>0x0000000000000000|- rs1_val==6148914691236517205 and imm_val==0<br>                                                                                                                                                        |[0x80000f74]:andi a1, a0, 0<br> [0x80000f78]:sd a1, 1192(ra)<br>       |
| 173|[0x80006570]<br>0x0000000000000004|- rs1_val==6148914691236517205 and imm_val==4<br>                                                                                                                                                        |[0x80000f9c]:andi a1, a0, 4<br> [0x80000fa0]:sd a1, 1200(ra)<br>       |
| 174|[0x80006578]<br>0x0000000000000110|- rs1_val==6148914691236517205 and imm_val==818<br>                                                                                                                                                      |[0x80000fc4]:andi a1, a0, 818<br> [0x80000fc8]:sd a1, 1208(ra)<br>     |
| 175|[0x80006580]<br>0x0000000000000445|- rs1_val==6148914691236517205 and imm_val==1637<br>                                                                                                                                                     |[0x80000fec]:andi a1, a0, 1637<br> [0x80000ff0]:sd a1, 1216(ra)<br>    |
| 176|[0x80006588]<br>0x0000000000000004|- rs1_val==6148914691236517205 and imm_val==44<br>                                                                                                                                                       |[0x80001014]:andi a1, a0, 44<br> [0x80001018]:sd a1, 1224(ra)<br>      |
| 177|[0x80006590]<br>0x0000000000000554|- rs1_val==6148914691236517205 and imm_val==1366<br>                                                                                                                                                     |[0x8000103c]:andi a1, a0, 1366<br> [0x80001040]:sd a1, 1232(ra)<br>    |
| 178|[0x80006598]<br>0x5555555555555001|- rs1_val==6148914691236517205 and imm_val==-1365<br>                                                                                                                                                    |[0x80001064]:andi a1, a0, 2731<br> [0x80001068]:sd a1, 1240(ra)<br>    |
| 179|[0x800065a0]<br>0x0000000000000004|- rs1_val==6148914691236517205 and imm_val==6<br>                                                                                                                                                        |[0x8000108c]:andi a1, a0, 6<br> [0x80001090]:sd a1, 1248(ra)<br>       |
| 180|[0x800065a8]<br>0x0000000000000114|- rs1_val==6148914691236517205 and imm_val==820<br>                                                                                                                                                      |[0x800010b4]:andi a1, a0, 820<br> [0x800010b8]:sd a1, 1256(ra)<br>     |
| 181|[0x800065b0]<br>0x0000000000000445|- rs1_val==6148914691236517205 and imm_val==1639<br>                                                                                                                                                     |[0x800010dc]:andi a1, a0, 1639<br> [0x800010e0]:sd a1, 1264(ra)<br>    |
| 182|[0x800065b8]<br>0x5555555555555554|- rs1_val==6148914691236517205 and imm_val==-44<br>                                                                                                                                                      |[0x80001104]:andi a1, a0, 4052<br> [0x80001108]:sd a1, 1272(ra)<br>    |
| 183|[0x800065c0]<br>0x0000000000000004|- rs1_val==6148914691236517205 and imm_val==46<br>                                                                                                                                                       |[0x8000112c]:andi a1, a0, 46<br> [0x80001130]:sd a1, 1280(ra)<br>      |
| 184|[0x800065c8]<br>0x0000000000000002|- rs1_val==-6148914691236517206 and imm_val==3<br>                                                                                                                                                       |[0x80001154]:andi a1, a0, 3<br> [0x80001158]:sd a1, 1288(ra)<br>       |
| 185|[0x800065d0]<br>0x0000000000000000|- rs1_val==-6148914691236517206 and imm_val==1365<br>                                                                                                                                                    |[0x8000117c]:andi a1, a0, 1365<br> [0x80001180]:sd a1, 1296(ra)<br>    |
| 186|[0x800065d8]<br>0xAAAAAAAAAAAAAAAA|- rs1_val==-6148914691236517206 and imm_val==-1366<br>                                                                                                                                                   |[0x800011a4]:andi a1, a0, 2730<br> [0x800011a8]:sd a1, 1304(ra)<br>    |
| 187|[0x800065e0]<br>0x0000000000000000|- rs1_val==-6148914691236517206 and imm_val==5<br>                                                                                                                                                       |[0x800011cc]:andi a1, a0, 5<br> [0x800011d0]:sd a1, 1312(ra)<br>       |
| 188|[0x800065e8]<br>0x0000000000000222|- rs1_val==-6148914691236517206 and imm_val==819<br>                                                                                                                                                     |[0x800011f4]:andi a1, a0, 819<br> [0x800011f8]:sd a1, 1320(ra)<br>     |
| 189|[0x800065f0]<br>0x0000000000000222|- rs1_val==-6148914691236517206 and imm_val==1638<br>                                                                                                                                                    |[0x8000121c]:andi a1, a0, 1638<br> [0x80001220]:sd a1, 1328(ra)<br>    |
| 190|[0x800065f8]<br>0xAAAAAAAAAAAAAA82|- rs1_val==-6148914691236517206 and imm_val==-45<br>                                                                                                                                                     |[0x80001244]:andi a1, a0, 4051<br> [0x80001248]:sd a1, 1336(ra)<br>    |
| 191|[0x80006600]<br>0x0000000000000028|- rs1_val==-6148914691236517206 and imm_val==45<br>                                                                                                                                                      |[0x8000126c]:andi a1, a0, 45<br> [0x80001270]:sd a1, 1344(ra)<br>      |
| 192|[0x80006608]<br>0x0000000000000002|- rs1_val==-6148914691236517206 and imm_val==2<br>                                                                                                                                                       |[0x80001294]:andi a1, a0, 2<br> [0x80001298]:sd a1, 1352(ra)<br>       |
| 193|[0x80006610]<br>0x0000000000000000|- rs1_val==-6148914691236517206 and imm_val==1364<br>                                                                                                                                                    |[0x800012bc]:andi a1, a0, 1364<br> [0x800012c0]:sd a1, 1360(ra)<br>    |
| 194|[0x80006618]<br>0x0000000000000000|- rs1_val==-6148914691236517206 and imm_val==4<br>                                                                                                                                                       |[0x800012e4]:andi a1, a0, 4<br> [0x800012e8]:sd a1, 1368(ra)<br>       |
| 195|[0x80006620]<br>0x0000000000000222|- rs1_val==-6148914691236517206 and imm_val==818<br>                                                                                                                                                     |[0x8000130c]:andi a1, a0, 818<br> [0x80001310]:sd a1, 1376(ra)<br>     |
| 196|[0x80006628]<br>0x0000000000000220|- rs1_val==-6148914691236517206 and imm_val==1637<br>                                                                                                                                                    |[0x80001334]:andi a1, a0, 1637<br> [0x80001338]:sd a1, 1384(ra)<br>    |
| 197|[0x80006630]<br>0x0000000000000028|- rs1_val==-6148914691236517206 and imm_val==44<br>                                                                                                                                                      |[0x8000135c]:andi a1, a0, 44<br> [0x80001360]:sd a1, 1392(ra)<br>      |
| 198|[0x80006638]<br>0x0000000000000002|- rs1_val==-6148914691236517206 and imm_val==1366<br>                                                                                                                                                    |[0x80001384]:andi a1, a0, 1366<br> [0x80001388]:sd a1, 1400(ra)<br>    |
| 199|[0x80006640]<br>0xAAAAAAAAAAAAAAAA|- rs1_val==-6148914691236517206 and imm_val==-1365<br>                                                                                                                                                   |[0x800013ac]:andi a1, a0, 2731<br> [0x800013b0]:sd a1, 1408(ra)<br>    |
| 200|[0x80006648]<br>0x0000000000000002|- rs1_val==-6148914691236517206 and imm_val==6<br>                                                                                                                                                       |[0x800013d4]:andi a1, a0, 6<br> [0x800013d8]:sd a1, 1416(ra)<br>       |
| 201|[0x80006650]<br>0x0000000000000220|- rs1_val==-6148914691236517206 and imm_val==820<br>                                                                                                                                                     |[0x800013fc]:andi a1, a0, 820<br> [0x80001400]:sd a1, 1424(ra)<br>     |
| 202|[0x80006658]<br>0x0000000000000222|- rs1_val==-6148914691236517206 and imm_val==1639<br>                                                                                                                                                    |[0x80001424]:andi a1, a0, 1639<br> [0x80001428]:sd a1, 1432(ra)<br>    |
| 203|[0x80006660]<br>0xAAAAAAAAAAAAAA80|- rs1_val==-6148914691236517206 and imm_val==-44<br>                                                                                                                                                     |[0x8000144c]:andi a1, a0, 4052<br> [0x80001450]:sd a1, 1440(ra)<br>    |
| 204|[0x80006668]<br>0x000000000000002A|- rs1_val==-6148914691236517206 and imm_val==46<br>                                                                                                                                                      |[0x80001474]:andi a1, a0, 46<br> [0x80001478]:sd a1, 1448(ra)<br>      |
| 205|[0x80006670]<br>0x0000000000000001|- rs1_val==5 and imm_val==3<br>                                                                                                                                                                          |[0x80001480]:andi a1, a0, 3<br> [0x80001484]:sd a1, 1456(ra)<br>       |
| 206|[0x80006678]<br>0x0000000000000005|- rs1_val==5 and imm_val==1365<br>                                                                                                                                                                       |[0x8000148c]:andi a1, a0, 1365<br> [0x80001490]:sd a1, 1464(ra)<br>    |
| 207|[0x80006680]<br>0x0000000000000000|- rs1_val==5 and imm_val==-1366<br>                                                                                                                                                                      |[0x80001498]:andi a1, a0, 2730<br> [0x8000149c]:sd a1, 1472(ra)<br>    |
| 208|[0x80006688]<br>0x0000000000000005|- rs1_val==5 and imm_val==5<br>                                                                                                                                                                          |[0x800014a4]:andi a1, a0, 5<br> [0x800014a8]:sd a1, 1480(ra)<br>       |
| 209|[0x80006690]<br>0x0000000000000001|- rs1_val==5 and imm_val==819<br>                                                                                                                                                                        |[0x800014b0]:andi a1, a0, 819<br> [0x800014b4]:sd a1, 1488(ra)<br>     |
| 210|[0x80006698]<br>0x0000000000000004|- rs1_val==5 and imm_val==1638<br>                                                                                                                                                                       |[0x800014bc]:andi a1, a0, 1638<br> [0x800014c0]:sd a1, 1496(ra)<br>    |
| 211|[0x800066a0]<br>0x0000000000000001|- rs1_val==5 and imm_val==-45<br>                                                                                                                                                                        |[0x800014c8]:andi a1, a0, 4051<br> [0x800014cc]:sd a1, 1504(ra)<br>    |
| 212|[0x800066a8]<br>0x0000000000000005|- rs1_val==5 and imm_val==45<br>                                                                                                                                                                         |[0x800014d4]:andi a1, a0, 45<br> [0x800014d8]:sd a1, 1512(ra)<br>      |
| 213|[0x800066b0]<br>0x0000000000000000|- rs1_val==5 and imm_val==2<br>                                                                                                                                                                          |[0x800014e0]:andi a1, a0, 2<br> [0x800014e4]:sd a1, 1520(ra)<br>       |
| 214|[0x800066b8]<br>0x0000000000000004|- rs1_val==5 and imm_val==1364<br>                                                                                                                                                                       |[0x800014ec]:andi a1, a0, 1364<br> [0x800014f0]:sd a1, 1528(ra)<br>    |
| 215|[0x800066c0]<br>0x0000000000000000|- rs1_val==5 and imm_val==0<br>                                                                                                                                                                          |[0x800014f8]:andi a1, a0, 0<br> [0x800014fc]:sd a1, 1536(ra)<br>       |
| 216|[0x800066c8]<br>0x0000000000000004|- rs1_val==5 and imm_val==4<br>                                                                                                                                                                          |[0x80001504]:andi a1, a0, 4<br> [0x80001508]:sd a1, 1544(ra)<br>       |
| 217|[0x800066d0]<br>0x0000000000000000|- rs1_val==5 and imm_val==818<br>                                                                                                                                                                        |[0x80001510]:andi a1, a0, 818<br> [0x80001514]:sd a1, 1552(ra)<br>     |
| 218|[0x800066d8]<br>0x0000000000000005|- rs1_val==5 and imm_val==1637<br>                                                                                                                                                                       |[0x8000151c]:andi a1, a0, 1637<br> [0x80001520]:sd a1, 1560(ra)<br>    |
| 219|[0x800066e0]<br>0x0000000000000004|- rs1_val==5 and imm_val==44<br>                                                                                                                                                                         |[0x80001528]:andi a1, a0, 44<br> [0x8000152c]:sd a1, 1568(ra)<br>      |
| 220|[0x800066e8]<br>0x0000000000000004|- rs1_val==5 and imm_val==1366<br>                                                                                                                                                                       |[0x80001534]:andi a1, a0, 1366<br> [0x80001538]:sd a1, 1576(ra)<br>    |
| 221|[0x800066f0]<br>0x0000000000000001|- rs1_val==5 and imm_val==-1365<br>                                                                                                                                                                      |[0x80001540]:andi a1, a0, 2731<br> [0x80001544]:sd a1, 1584(ra)<br>    |
| 222|[0x800066f8]<br>0x0000000000000004|- rs1_val==5 and imm_val==6<br>                                                                                                                                                                          |[0x8000154c]:andi a1, a0, 6<br> [0x80001550]:sd a1, 1592(ra)<br>       |
| 223|[0x80006700]<br>0x0000000000000004|- rs1_val==5 and imm_val==820<br>                                                                                                                                                                        |[0x80001558]:andi a1, a0, 820<br> [0x8000155c]:sd a1, 1600(ra)<br>     |
| 224|[0x80006708]<br>0x0000000000000005|- rs1_val==5 and imm_val==1639<br>                                                                                                                                                                       |[0x80001564]:andi a1, a0, 1639<br> [0x80001568]:sd a1, 1608(ra)<br>    |
| 225|[0x80006710]<br>0x0000000000000004|- rs1_val==5 and imm_val==-44<br>                                                                                                                                                                        |[0x80001570]:andi a1, a0, 4052<br> [0x80001574]:sd a1, 1616(ra)<br>    |
| 226|[0x80006718]<br>0x0000000000000004|- rs1_val==5 and imm_val==46<br>                                                                                                                                                                         |[0x8000157c]:andi a1, a0, 46<br> [0x80001580]:sd a1, 1624(ra)<br>      |
| 227|[0x80006720]<br>0x0000000000000003|- rs1_val==3689348814741910323 and imm_val==3<br>                                                                                                                                                        |[0x800015a4]:andi a1, a0, 3<br> [0x800015a8]:sd a1, 1632(ra)<br>       |
| 228|[0x80006728]<br>0x0000000000000111|- rs1_val==3689348814741910323 and imm_val==1365<br>                                                                                                                                                     |[0x800015cc]:andi a1, a0, 1365<br> [0x800015d0]:sd a1, 1640(ra)<br>    |
| 229|[0x80006730]<br>0x3333333333333222|- rs1_val==3689348814741910323 and imm_val==-1366<br>                                                                                                                                                    |[0x800015f4]:andi a1, a0, 2730<br> [0x800015f8]:sd a1, 1648(ra)<br>    |
| 230|[0x80006738]<br>0x0000000000000001|- rs1_val==3689348814741910323 and imm_val==5<br>                                                                                                                                                        |[0x8000161c]:andi a1, a0, 5<br> [0x80001620]:sd a1, 1656(ra)<br>       |
| 231|[0x80006740]<br>0x0000000000000333|- rs1_val==3689348814741910323 and imm_val==819<br>                                                                                                                                                      |[0x80001644]:andi a1, a0, 819<br> [0x80001648]:sd a1, 1664(ra)<br>     |
| 232|[0x80006748]<br>0x0000000000000222|- rs1_val==3689348814741910323 and imm_val==1638<br>                                                                                                                                                     |[0x8000166c]:andi a1, a0, 1638<br> [0x80001670]:sd a1, 1672(ra)<br>    |
| 233|[0x80006750]<br>0x3333333333333313|- rs1_val==3689348814741910323 and imm_val==-45<br>                                                                                                                                                      |[0x80001694]:andi a1, a0, 4051<br> [0x80001698]:sd a1, 1680(ra)<br>    |
| 234|[0x80006758]<br>0x0000000000000021|- rs1_val==3689348814741910323 and imm_val==45<br>                                                                                                                                                       |[0x800016bc]:andi a1, a0, 45<br> [0x800016c0]:sd a1, 1688(ra)<br>      |
| 235|[0x80006760]<br>0x0000000000000002|- rs1_val==3689348814741910323 and imm_val==2<br>                                                                                                                                                        |[0x800016e4]:andi a1, a0, 2<br> [0x800016e8]:sd a1, 1696(ra)<br>       |
| 236|[0x80006768]<br>0x0000000000000110|- rs1_val==3689348814741910323 and imm_val==1364<br>                                                                                                                                                     |[0x8000170c]:andi a1, a0, 1364<br> [0x80001710]:sd a1, 1704(ra)<br>    |
| 237|[0x80006770]<br>0x0000000000000000|- rs1_val==3689348814741910323 and imm_val==0<br>                                                                                                                                                        |[0x80001734]:andi a1, a0, 0<br> [0x80001738]:sd a1, 1712(ra)<br>       |
| 238|[0x80006778]<br>0x0000000000000000|- rs1_val==3689348814741910323 and imm_val==4<br>                                                                                                                                                        |[0x8000175c]:andi a1, a0, 4<br> [0x80001760]:sd a1, 1720(ra)<br>       |
| 239|[0x80006780]<br>0x0000000000000332|- rs1_val==3689348814741910323 and imm_val==818<br>                                                                                                                                                      |[0x80001784]:andi a1, a0, 818<br> [0x80001788]:sd a1, 1728(ra)<br>     |
| 240|[0x80006788]<br>0x0000000000000221|- rs1_val==3689348814741910323 and imm_val==1637<br>                                                                                                                                                     |[0x800017ac]:andi a1, a0, 1637<br> [0x800017b0]:sd a1, 1736(ra)<br>    |
| 241|[0x80006790]<br>0x0000000000000020|- rs1_val==3689348814741910323 and imm_val==44<br>                                                                                                                                                       |[0x800017d4]:andi a1, a0, 44<br> [0x800017d8]:sd a1, 1744(ra)<br>      |
| 242|[0x80006798]<br>0x0000000000000112|- rs1_val==3689348814741910323 and imm_val==1366<br>                                                                                                                                                     |[0x800017fc]:andi a1, a0, 1366<br> [0x80001800]:sd a1, 1752(ra)<br>    |
| 243|[0x800067a0]<br>0x3333333333333223|- rs1_val==3689348814741910323 and imm_val==-1365<br>                                                                                                                                                    |[0x80001824]:andi a1, a0, 2731<br> [0x80001828]:sd a1, 1760(ra)<br>    |
| 244|[0x800067a8]<br>0x0000000000000002|- rs1_val==3689348814741910323 and imm_val==6<br>                                                                                                                                                        |[0x8000184c]:andi a1, a0, 6<br> [0x80001850]:sd a1, 1768(ra)<br>       |
| 245|[0x800067b0]<br>0x0000000000000330|- rs1_val==3689348814741910323 and imm_val==820<br>                                                                                                                                                      |[0x80001874]:andi a1, a0, 820<br> [0x80001878]:sd a1, 1776(ra)<br>     |
| 246|[0x800067b8]<br>0x0000000000000223|- rs1_val==3689348814741910323 and imm_val==1639<br>                                                                                                                                                     |[0x8000189c]:andi a1, a0, 1639<br> [0x800018a0]:sd a1, 1784(ra)<br>    |
| 247|[0x800067c0]<br>0x3333333333333310|- rs1_val==3689348814741910323 and imm_val==-44<br>                                                                                                                                                      |[0x800018c4]:andi a1, a0, 4052<br> [0x800018c8]:sd a1, 1792(ra)<br>    |
| 248|[0x800067c8]<br>0x0000000000000022|- rs1_val==3689348814741910323 and imm_val==46<br>                                                                                                                                                       |[0x800018ec]:andi a1, a0, 46<br> [0x800018f0]:sd a1, 1800(ra)<br>      |
| 249|[0x800067d0]<br>0x0000000000000002|- rs1_val==7378697629483820646 and imm_val==3<br>                                                                                                                                                        |[0x80001914]:andi a1, a0, 3<br> [0x80001918]:sd a1, 1808(ra)<br>       |
| 250|[0x800067d8]<br>0x0000000000000444|- rs1_val==7378697629483820646 and imm_val==1365<br>                                                                                                                                                     |[0x8000193c]:andi a1, a0, 1365<br> [0x80001940]:sd a1, 1816(ra)<br>    |
| 251|[0x800067e0]<br>0x6666666666666222|- rs1_val==7378697629483820646 and imm_val==-1366<br>                                                                                                                                                    |[0x80001964]:andi a1, a0, 2730<br> [0x80001968]:sd a1, 1824(ra)<br>    |
| 252|[0x800067e8]<br>0x0000000000000004|- rs1_val==7378697629483820646 and imm_val==5<br>                                                                                                                                                        |[0x8000198c]:andi a1, a0, 5<br> [0x80001990]:sd a1, 1832(ra)<br>       |
| 253|[0x800067f0]<br>0x0000000000000222|- rs1_val==7378697629483820646 and imm_val==819<br>                                                                                                                                                      |[0x800019b4]:andi a1, a0, 819<br> [0x800019b8]:sd a1, 1840(ra)<br>     |
| 254|[0x800067f8]<br>0x0000000000000666|- rs1_val==7378697629483820646 and imm_val==1638<br>                                                                                                                                                     |[0x800019dc]:andi a1, a0, 1638<br> [0x800019e0]:sd a1, 1848(ra)<br>    |
| 255|[0x80006800]<br>0x6666666666666642|- rs1_val==7378697629483820646 and imm_val==-45<br>                                                                                                                                                      |[0x80001a04]:andi a1, a0, 4051<br> [0x80001a08]:sd a1, 1856(ra)<br>    |
| 256|[0x80006808]<br>0x0000000000000024|- rs1_val==7378697629483820646 and imm_val==45<br>                                                                                                                                                       |[0x80001a2c]:andi a1, a0, 45<br> [0x80001a30]:sd a1, 1864(ra)<br>      |
| 257|[0x80006810]<br>0x0000000000000002|- rs1_val==7378697629483820646 and imm_val==2<br>                                                                                                                                                        |[0x80001a54]:andi a1, a0, 2<br> [0x80001a58]:sd a1, 1872(ra)<br>       |
| 258|[0x80006818]<br>0x0000000000000444|- rs1_val==7378697629483820646 and imm_val==1364<br>                                                                                                                                                     |[0x80001a7c]:andi a1, a0, 1364<br> [0x80001a80]:sd a1, 1880(ra)<br>    |
| 259|[0x80006820]<br>0x0000000000000000|- rs1_val==7378697629483820646 and imm_val==0<br>                                                                                                                                                        |[0x80001aa4]:andi a1, a0, 0<br> [0x80001aa8]:sd a1, 1888(ra)<br>       |
| 260|[0x80006828]<br>0x0000000000000004|- rs1_val==7378697629483820646 and imm_val==4<br>                                                                                                                                                        |[0x80001acc]:andi a1, a0, 4<br> [0x80001ad0]:sd a1, 1896(ra)<br>       |
| 261|[0x80006830]<br>0x0000000000000222|- rs1_val==7378697629483820646 and imm_val==818<br>                                                                                                                                                      |[0x80001af4]:andi a1, a0, 818<br> [0x80001af8]:sd a1, 1904(ra)<br>     |
| 262|[0x80006838]<br>0x0000000000000664|- rs1_val==7378697629483820646 and imm_val==1637<br>                                                                                                                                                     |[0x80001b1c]:andi a1, a0, 1637<br> [0x80001b20]:sd a1, 1912(ra)<br>    |
| 263|[0x80006840]<br>0x0000000000000024|- rs1_val==7378697629483820646 and imm_val==44<br>                                                                                                                                                       |[0x80001b44]:andi a1, a0, 44<br> [0x80001b48]:sd a1, 1920(ra)<br>      |
| 264|[0x80006848]<br>0x0000000000000446|- rs1_val==7378697629483820646 and imm_val==1366<br>                                                                                                                                                     |[0x80001b6c]:andi a1, a0, 1366<br> [0x80001b70]:sd a1, 1928(ra)<br>    |
| 265|[0x80006850]<br>0x6666666666666222|- rs1_val==7378697629483820646 and imm_val==-1365<br>                                                                                                                                                    |[0x80001b94]:andi a1, a0, 2731<br> [0x80001b98]:sd a1, 1936(ra)<br>    |
| 266|[0x80006858]<br>0x0000000000000006|- rs1_val==7378697629483820646 and imm_val==6<br>                                                                                                                                                        |[0x80001bbc]:andi a1, a0, 6<br> [0x80001bc0]:sd a1, 1944(ra)<br>       |
| 267|[0x80006860]<br>0x0000000000000224|- rs1_val==7378697629483820646 and imm_val==820<br>                                                                                                                                                      |[0x80001be4]:andi a1, a0, 820<br> [0x80001be8]:sd a1, 1952(ra)<br>     |
| 268|[0x80006868]<br>0x0000000000000666|- rs1_val==7378697629483820646 and imm_val==1639<br>                                                                                                                                                     |[0x80001c0c]:andi a1, a0, 1639<br> [0x80001c10]:sd a1, 1960(ra)<br>    |
| 269|[0x80006870]<br>0x6666666666666644|- rs1_val==7378697629483820646 and imm_val==-44<br>                                                                                                                                                      |[0x80001c34]:andi a1, a0, 4052<br> [0x80001c38]:sd a1, 1968(ra)<br>    |
| 270|[0x80006878]<br>0x0000000000000026|- rs1_val==7378697629483820646 and imm_val==46<br>                                                                                                                                                       |[0x80001c5c]:andi a1, a0, 46<br> [0x80001c60]:sd a1, 1976(ra)<br>      |
| 271|[0x80006880]<br>0x0000000000000001|- rs1_val==-3037000499 and imm_val==3<br>                                                                                                                                                                |[0x80001c74]:andi a1, a0, 3<br> [0x80001c78]:sd a1, 1984(ra)<br>       |
| 272|[0x80006888]<br>0x0000000000000445|- rs1_val==-3037000499 and imm_val==1365<br>                                                                                                                                                             |[0x80001c8c]:andi a1, a0, 1365<br> [0x80001c90]:sd a1, 1992(ra)<br>    |
| 273|[0x80006890]<br>0xFFFFFFFF4AFB0888|- rs1_val==-3037000499 and imm_val==-1366<br>                                                                                                                                                            |[0x80001ca4]:andi a1, a0, 2730<br> [0x80001ca8]:sd a1, 2000(ra)<br>    |
| 274|[0x80006898]<br>0x0000000000000005|- rs1_val==-3037000499 and imm_val==5<br>                                                                                                                                                                |[0x80001cbc]:andi a1, a0, 5<br> [0x80001cc0]:sd a1, 2008(ra)<br>       |
| 275|[0x800068a0]<br>0x0000000000000001|- rs1_val==-3037000499 and imm_val==819<br>                                                                                                                                                              |[0x80001cd4]:andi a1, a0, 819<br> [0x80001cd8]:sd a1, 2016(ra)<br>     |
| 276|[0x800068a8]<br>0x0000000000000444|- rs1_val==-3037000499 and imm_val==1638<br>                                                                                                                                                             |[0x80001cec]:andi a1, a0, 1638<br> [0x80001cf0]:sd a1, 2024(ra)<br>    |
| 277|[0x800068b0]<br>0xFFFFFFFF4AFB0CC1|- rs1_val==-3037000499 and imm_val==-45<br>                                                                                                                                                              |[0x80001d04]:andi a1, a0, 4051<br> [0x80001d08]:sd a1, 2032(ra)<br>    |
| 278|[0x800068b8]<br>0x000000000000000D|- rs1_val==-3037000499 and imm_val==45<br>                                                                                                                                                               |[0x80001d1c]:andi a1, a0, 45<br> [0x80001d20]:sd a1, 2040(ra)<br>      |
| 279|[0x800068c0]<br>0x0000000000000000|- rs1_val==-3037000499 and imm_val==2<br>                                                                                                                                                                |[0x80001d3c]:andi a1, a0, 2<br> [0x80001d40]:sd a1, 0(ra)<br>          |
| 280|[0x800068c8]<br>0x0000000000000444|- rs1_val==-3037000499 and imm_val==1364<br>                                                                                                                                                             |[0x80001d54]:andi a1, a0, 1364<br> [0x80001d58]:sd a1, 8(ra)<br>       |
| 281|[0x800068d0]<br>0x0000000000000000|- rs1_val==-3037000499 and imm_val==0<br>                                                                                                                                                                |[0x80001d6c]:andi a1, a0, 0<br> [0x80001d70]:sd a1, 16(ra)<br>         |
| 282|[0x800068d8]<br>0x0000000000000004|- rs1_val==-3037000499 and imm_val==4<br>                                                                                                                                                                |[0x80001d84]:andi a1, a0, 4<br> [0x80001d88]:sd a1, 24(ra)<br>         |
| 283|[0x800068e0]<br>0x0000000000000000|- rs1_val==-3037000499 and imm_val==818<br>                                                                                                                                                              |[0x80001d9c]:andi a1, a0, 818<br> [0x80001da0]:sd a1, 32(ra)<br>       |
| 284|[0x800068e8]<br>0x0000000000000445|- rs1_val==-3037000499 and imm_val==1637<br>                                                                                                                                                             |[0x80001db4]:andi a1, a0, 1637<br> [0x80001db8]:sd a1, 40(ra)<br>      |
| 285|[0x800068f0]<br>0x000000000000000C|- rs1_val==-3037000499 and imm_val==44<br>                                                                                                                                                               |[0x80001dcc]:andi a1, a0, 44<br> [0x80001dd0]:sd a1, 48(ra)<br>        |
| 286|[0x800068f8]<br>0x0000000000000444|- rs1_val==-3037000499 and imm_val==1366<br>                                                                                                                                                             |[0x80001de4]:andi a1, a0, 1366<br> [0x80001de8]:sd a1, 56(ra)<br>      |
| 287|[0x80006900]<br>0xFFFFFFFF4AFB0889|- rs1_val==-3037000499 and imm_val==-1365<br>                                                                                                                                                            |[0x80001dfc]:andi a1, a0, 2731<br> [0x80001e00]:sd a1, 64(ra)<br>      |
| 288|[0x80006908]<br>0x0000000000000004|- rs1_val==-3037000499 and imm_val==6<br>                                                                                                                                                                |[0x80001e14]:andi a1, a0, 6<br> [0x80001e18]:sd a1, 72(ra)<br>         |
| 289|[0x80006910]<br>0x0000000000000004|- rs1_val==-3037000499 and imm_val==820<br>                                                                                                                                                              |[0x80001e2c]:andi a1, a0, 820<br> [0x80001e30]:sd a1, 80(ra)<br>       |
| 290|[0x80006918]<br>0x0000000000000445|- rs1_val==-3037000499 and imm_val==1639<br>                                                                                                                                                             |[0x80001e44]:andi a1, a0, 1639<br> [0x80001e48]:sd a1, 88(ra)<br>      |
| 291|[0x80006920]<br>0xFFFFFFFF4AFB0CC4|- rs1_val==-3037000499 and imm_val==-44<br>                                                                                                                                                              |[0x80001e5c]:andi a1, a0, 4052<br> [0x80001e60]:sd a1, 96(ra)<br>      |
| 292|[0x80006928]<br>0x000000000000000C|- rs1_val==-3037000499 and imm_val==46<br>                                                                                                                                                               |[0x80001e74]:andi a1, a0, 46<br> [0x80001e78]:sd a1, 104(ra)<br>       |
| 293|[0x80006930]<br>0x0000000000000003|- rs1_val==3037000499 and imm_val==3<br>                                                                                                                                                                 |[0x80001e8c]:andi a1, a0, 3<br> [0x80001e90]:sd a1, 112(ra)<br>        |
| 294|[0x80006938]<br>0x0000000000000111|- rs1_val==3037000499 and imm_val==1365<br>                                                                                                                                                              |[0x80001ea4]:andi a1, a0, 1365<br> [0x80001ea8]:sd a1, 120(ra)<br>     |
| 295|[0x80006940]<br>0x00000000B504F222|- rs1_val==3037000499 and imm_val==-1366<br>                                                                                                                                                             |[0x80001ebc]:andi a1, a0, 2730<br> [0x80001ec0]:sd a1, 128(ra)<br>     |
| 296|[0x80006948]<br>0x0000000000000001|- rs1_val==3037000499 and imm_val==5<br>                                                                                                                                                                 |[0x80001ed4]:andi a1, a0, 5<br> [0x80001ed8]:sd a1, 136(ra)<br>        |
| 297|[0x80006950]<br>0x0000000000000333|- rs1_val==3037000499 and imm_val==819<br>                                                                                                                                                               |[0x80001eec]:andi a1, a0, 819<br> [0x80001ef0]:sd a1, 144(ra)<br>      |
| 298|[0x80006958]<br>0x0000000000000222|- rs1_val==3037000499 and imm_val==1638<br>                                                                                                                                                              |[0x80001f04]:andi a1, a0, 1638<br> [0x80001f08]:sd a1, 152(ra)<br>     |
| 299|[0x80006960]<br>0x00000000B504F313|- rs1_val==3037000499 and imm_val==-45<br>                                                                                                                                                               |[0x80001f1c]:andi a1, a0, 4051<br> [0x80001f20]:sd a1, 160(ra)<br>     |
| 300|[0x80006968]<br>0x0000000000000021|- rs1_val==3037000499 and imm_val==45<br>                                                                                                                                                                |[0x80001f34]:andi a1, a0, 45<br> [0x80001f38]:sd a1, 168(ra)<br>       |
| 301|[0x80006970]<br>0x0000000000000002|- rs1_val==3037000499 and imm_val==2<br>                                                                                                                                                                 |[0x80001f4c]:andi a1, a0, 2<br> [0x80001f50]:sd a1, 176(ra)<br>        |
| 302|[0x80006978]<br>0x0000000000000110|- rs1_val==3037000499 and imm_val==1364<br>                                                                                                                                                              |[0x80001f64]:andi a1, a0, 1364<br> [0x80001f68]:sd a1, 184(ra)<br>     |
| 303|[0x80006980]<br>0x0000000000000000|- rs1_val==3037000499 and imm_val==0<br>                                                                                                                                                                 |[0x80001f7c]:andi a1, a0, 0<br> [0x80001f80]:sd a1, 192(ra)<br>        |
| 304|[0x80006988]<br>0x0000000000000000|- rs1_val==3037000499 and imm_val==4<br>                                                                                                                                                                 |[0x80001f94]:andi a1, a0, 4<br> [0x80001f98]:sd a1, 200(ra)<br>        |
| 305|[0x80006990]<br>0x0000000000000332|- rs1_val==3037000499 and imm_val==818<br>                                                                                                                                                               |[0x80001fac]:andi a1, a0, 818<br> [0x80001fb0]:sd a1, 208(ra)<br>      |
| 306|[0x80006998]<br>0x0000000000000221|- rs1_val==3037000499 and imm_val==1637<br>                                                                                                                                                              |[0x80001fc4]:andi a1, a0, 1637<br> [0x80001fc8]:sd a1, 216(ra)<br>     |
| 307|[0x800069a0]<br>0x0000000000000020|- rs1_val==3037000499 and imm_val==44<br>                                                                                                                                                                |[0x80001fdc]:andi a1, a0, 44<br> [0x80001fe0]:sd a1, 224(ra)<br>       |
| 308|[0x800069a8]<br>0x0000000000000112|- rs1_val==3037000499 and imm_val==1366<br>                                                                                                                                                              |[0x80001ff4]:andi a1, a0, 1366<br> [0x80001ff8]:sd a1, 232(ra)<br>     |
| 309|[0x800069b0]<br>0x00000000B504F223|- rs1_val==3037000499 and imm_val==-1365<br>                                                                                                                                                             |[0x8000200c]:andi a1, a0, 2731<br> [0x80002010]:sd a1, 240(ra)<br>     |
| 310|[0x800069b8]<br>0x0000000000000002|- rs1_val==3037000499 and imm_val==6<br>                                                                                                                                                                 |[0x80002024]:andi a1, a0, 6<br> [0x80002028]:sd a1, 248(ra)<br>        |
| 311|[0x800069c0]<br>0x0000000000000330|- rs1_val==3037000499 and imm_val==820<br>                                                                                                                                                               |[0x8000203c]:andi a1, a0, 820<br> [0x80002040]:sd a1, 256(ra)<br>      |
| 312|[0x800069c8]<br>0x0000000000000223|- rs1_val==3037000499 and imm_val==1639<br>                                                                                                                                                              |[0x80002054]:andi a1, a0, 1639<br> [0x80002058]:sd a1, 264(ra)<br>     |
| 313|[0x800069d0]<br>0x00000000B504F310|- rs1_val==3037000499 and imm_val==-44<br>                                                                                                                                                               |[0x8000206c]:andi a1, a0, 4052<br> [0x80002070]:sd a1, 272(ra)<br>     |
| 314|[0x800069d8]<br>0x0000000000000022|- rs1_val==3037000499 and imm_val==46<br>                                                                                                                                                                |[0x80002084]:andi a1, a0, 46<br> [0x80002088]:sd a1, 280(ra)<br>       |
| 315|[0x800069e0]<br>0x0000000000000002|- rs1_val==2 and imm_val==3<br>                                                                                                                                                                          |[0x80002090]:andi a1, a0, 3<br> [0x80002094]:sd a1, 288(ra)<br>        |
| 316|[0x800069e8]<br>0x0000000000000000|- rs1_val==2 and imm_val==1365<br>                                                                                                                                                                       |[0x8000209c]:andi a1, a0, 1365<br> [0x800020a0]:sd a1, 296(ra)<br>     |
| 317|[0x800069f0]<br>0x0000000000000002|- rs1_val==2 and imm_val==-1366<br>                                                                                                                                                                      |[0x800020a8]:andi a1, a0, 2730<br> [0x800020ac]:sd a1, 304(ra)<br>     |
| 318|[0x800069f8]<br>0x0000000000000000|- rs1_val==2 and imm_val==5<br>                                                                                                                                                                          |[0x800020b4]:andi a1, a0, 5<br> [0x800020b8]:sd a1, 312(ra)<br>        |
| 319|[0x80006a00]<br>0x0000000000000002|- rs1_val==2 and imm_val==819<br>                                                                                                                                                                        |[0x800020c0]:andi a1, a0, 819<br> [0x800020c4]:sd a1, 320(ra)<br>      |
| 320|[0x80006a08]<br>0x0000000000000002|- rs1_val==2 and imm_val==1638<br>                                                                                                                                                                       |[0x800020cc]:andi a1, a0, 1638<br> [0x800020d0]:sd a1, 328(ra)<br>     |
| 321|[0x80006a10]<br>0x0000000000000002|- rs1_val==2 and imm_val==-45<br>                                                                                                                                                                        |[0x800020d8]:andi a1, a0, 4051<br> [0x800020dc]:sd a1, 336(ra)<br>     |
| 322|[0x80006a18]<br>0x0000000000000000|- rs1_val==2 and imm_val==45<br>                                                                                                                                                                         |[0x800020e4]:andi a1, a0, 45<br> [0x800020e8]:sd a1, 344(ra)<br>       |
| 323|[0x80006a20]<br>0x0000000000000002|- rs1_val==2 and imm_val==2<br>                                                                                                                                                                          |[0x800020f0]:andi a1, a0, 2<br> [0x800020f4]:sd a1, 352(ra)<br>        |
| 324|[0x80006a28]<br>0x0000000000000000|- rs1_val==2 and imm_val==1364<br>                                                                                                                                                                       |[0x800020fc]:andi a1, a0, 1364<br> [0x80002100]:sd a1, 360(ra)<br>     |
| 325|[0x80006a30]<br>0x0000000000000000|- rs1_val==2 and imm_val==0<br>                                                                                                                                                                          |[0x80002108]:andi a1, a0, 0<br> [0x8000210c]:sd a1, 368(ra)<br>        |
| 326|[0x80006a38]<br>0x0000000000000000|- rs1_val==2 and imm_val==4<br>                                                                                                                                                                          |[0x80002114]:andi a1, a0, 4<br> [0x80002118]:sd a1, 376(ra)<br>        |
| 327|[0x80006a40]<br>0x0000000000000002|- rs1_val==2 and imm_val==818<br>                                                                                                                                                                        |[0x80002120]:andi a1, a0, 818<br> [0x80002124]:sd a1, 384(ra)<br>      |
| 328|[0x80006a48]<br>0x0000000000000000|- rs1_val==2 and imm_val==1637<br>                                                                                                                                                                       |[0x8000212c]:andi a1, a0, 1637<br> [0x80002130]:sd a1, 392(ra)<br>     |
| 329|[0x80006a50]<br>0x0000000000000000|- rs1_val==2 and imm_val==44<br>                                                                                                                                                                         |[0x80002138]:andi a1, a0, 44<br> [0x8000213c]:sd a1, 400(ra)<br>       |
| 330|[0x80006a58]<br>0x0000000000000002|- rs1_val==2 and imm_val==1366<br>                                                                                                                                                                       |[0x80002144]:andi a1, a0, 1366<br> [0x80002148]:sd a1, 408(ra)<br>     |
| 331|[0x80006a60]<br>0x0000000000000002|- rs1_val==2 and imm_val==6<br>                                                                                                                                                                          |[0x80002150]:andi a1, a0, 6<br> [0x80002154]:sd a1, 416(ra)<br>        |
| 332|[0x80006a68]<br>0x0000000000000000|- rs1_val==2 and imm_val==820<br>                                                                                                                                                                        |[0x8000215c]:andi a1, a0, 820<br> [0x80002160]:sd a1, 424(ra)<br>      |
| 333|[0x80006a70]<br>0x0000000000000002|- rs1_val==2 and imm_val==1639<br>                                                                                                                                                                       |[0x80002168]:andi a1, a0, 1639<br> [0x8000216c]:sd a1, 432(ra)<br>     |
| 334|[0x80006a78]<br>0x0000000000000000|- rs1_val==2 and imm_val==-44<br>                                                                                                                                                                        |[0x80002174]:andi a1, a0, 4052<br> [0x80002178]:sd a1, 440(ra)<br>     |
| 335|[0x80006a80]<br>0x0000000000000002|- rs1_val==2 and imm_val==46<br>                                                                                                                                                                         |[0x80002180]:andi a1, a0, 46<br> [0x80002184]:sd a1, 448(ra)<br>       |
| 336|[0x80006a88]<br>0x0000000000000000|- rs1_val==6148914691236517204 and imm_val==3<br>                                                                                                                                                        |[0x800021a8]:andi a1, a0, 3<br> [0x800021ac]:sd a1, 456(ra)<br>        |
| 337|[0x80006a90]<br>0x0000000000000554|- rs1_val==6148914691236517204 and imm_val==1365<br>                                                                                                                                                     |[0x800021d0]:andi a1, a0, 1365<br> [0x800021d4]:sd a1, 464(ra)<br>     |
| 338|[0x80006a98]<br>0x5555555555555000|- rs1_val==6148914691236517204 and imm_val==-1366<br>                                                                                                                                                    |[0x800021f8]:andi a1, a0, 2730<br> [0x800021fc]:sd a1, 472(ra)<br>     |
| 339|[0x80006aa0]<br>0x0000000000000004|- rs1_val==6148914691236517204 and imm_val==5<br>                                                                                                                                                        |[0x80002220]:andi a1, a0, 5<br> [0x80002224]:sd a1, 480(ra)<br>        |
| 340|[0x80006aa8]<br>0x0000000000000110|- rs1_val==6148914691236517204 and imm_val==819<br>                                                                                                                                                      |[0x80002248]:andi a1, a0, 819<br> [0x8000224c]:sd a1, 488(ra)<br>      |
| 341|[0x80006ab0]<br>0x0000000000000444|- rs1_val==6148914691236517204 and imm_val==1638<br>                                                                                                                                                     |[0x80002270]:andi a1, a0, 1638<br> [0x80002274]:sd a1, 496(ra)<br>     |
| 342|[0x80006ab8]<br>0x5555555555555550|- rs1_val==6148914691236517204 and imm_val==-45<br>                                                                                                                                                      |[0x80002298]:andi a1, a0, 4051<br> [0x8000229c]:sd a1, 504(ra)<br>     |
| 343|[0x80006ac0]<br>0x0000000000000004|- rs1_val==6148914691236517204 and imm_val==45<br>                                                                                                                                                       |[0x800022c0]:andi a1, a0, 45<br> [0x800022c4]:sd a1, 512(ra)<br>       |
| 344|[0x80006ac8]<br>0x0000000000000000|- rs1_val==6148914691236517204 and imm_val==2<br>                                                                                                                                                        |[0x800022e8]:andi a1, a0, 2<br> [0x800022ec]:sd a1, 520(ra)<br>        |
| 345|[0x80006ad0]<br>0x0000000000000554|- rs1_val==6148914691236517204 and imm_val==1364<br>                                                                                                                                                     |[0x80002310]:andi a1, a0, 1364<br> [0x80002314]:sd a1, 528(ra)<br>     |
| 346|[0x80006ad8]<br>0x0000000000000000|- rs1_val==6148914691236517204 and imm_val==0<br>                                                                                                                                                        |[0x80002338]:andi a1, a0, 0<br> [0x8000233c]:sd a1, 536(ra)<br>        |
| 347|[0x80006ae0]<br>0x0000000000000004|- rs1_val==6148914691236517204 and imm_val==4<br>                                                                                                                                                        |[0x80002360]:andi a1, a0, 4<br> [0x80002364]:sd a1, 544(ra)<br>        |
| 348|[0x80006ae8]<br>0x0000000000000110|- rs1_val==6148914691236517204 and imm_val==818<br>                                                                                                                                                      |[0x80002388]:andi a1, a0, 818<br> [0x8000238c]:sd a1, 552(ra)<br>      |
| 349|[0x80006af0]<br>0x0000000000000444|- rs1_val==6148914691236517204 and imm_val==1637<br>                                                                                                                                                     |[0x800023b0]:andi a1, a0, 1637<br> [0x800023b4]:sd a1, 560(ra)<br>     |
| 350|[0x80006af8]<br>0x0000000000000004|- rs1_val==6148914691236517204 and imm_val==44<br>                                                                                                                                                       |[0x800023d8]:andi a1, a0, 44<br> [0x800023dc]:sd a1, 568(ra)<br>       |
| 351|[0x80006b00]<br>0x0000000000000554|- rs1_val==6148914691236517204 and imm_val==1366<br>                                                                                                                                                     |[0x80002400]:andi a1, a0, 1366<br> [0x80002404]:sd a1, 576(ra)<br>     |
| 352|[0x80006b08]<br>0x5555555555555000|- rs1_val==6148914691236517204 and imm_val==-1365<br>                                                                                                                                                    |[0x80002428]:andi a1, a0, 2731<br> [0x8000242c]:sd a1, 584(ra)<br>     |
| 353|[0x80006b10]<br>0x0000000000000004|- rs1_val==6148914691236517204 and imm_val==6<br>                                                                                                                                                        |[0x80002450]:andi a1, a0, 6<br> [0x80002454]:sd a1, 592(ra)<br>        |
| 354|[0x80006b18]<br>0x0000000000000114|- rs1_val==6148914691236517204 and imm_val==820<br>                                                                                                                                                      |[0x80002478]:andi a1, a0, 820<br> [0x8000247c]:sd a1, 600(ra)<br>      |
| 355|[0x80006b20]<br>0x0000000000000444|- rs1_val==6148914691236517204 and imm_val==1639<br>                                                                                                                                                     |[0x800024a0]:andi a1, a0, 1639<br> [0x800024a4]:sd a1, 608(ra)<br>     |
| 356|[0x80006b28]<br>0x5555555555555554|- rs1_val==6148914691236517204 and imm_val==-44<br>                                                                                                                                                      |[0x800024c8]:andi a1, a0, 4052<br> [0x800024cc]:sd a1, 616(ra)<br>     |
| 357|[0x80006b30]<br>0x0000000000000004|- rs1_val==6148914691236517204 and imm_val==46<br>                                                                                                                                                       |[0x800024f0]:andi a1, a0, 46<br> [0x800024f4]:sd a1, 624(ra)<br>       |
| 358|[0x80006b38]<br>0x0000000000000000|- rs1_val==0 and imm_val==3<br>                                                                                                                                                                          |[0x800024fc]:andi a1, a0, 3<br> [0x80002500]:sd a1, 632(ra)<br>        |
| 359|[0x80006b40]<br>0x0000000000000000|- rs1_val==0 and imm_val==1365<br>                                                                                                                                                                       |[0x80002508]:andi a1, a0, 1365<br> [0x8000250c]:sd a1, 640(ra)<br>     |
| 360|[0x80006b48]<br>0x0000000000000000|- rs1_val==0 and imm_val==-1366<br>                                                                                                                                                                      |[0x80002514]:andi a1, a0, 2730<br> [0x80002518]:sd a1, 648(ra)<br>     |
| 361|[0x80006b50]<br>0x0000000000000000|- rs1_val==0 and imm_val==5<br>                                                                                                                                                                          |[0x80002520]:andi a1, a0, 5<br> [0x80002524]:sd a1, 656(ra)<br>        |
| 362|[0x80006b58]<br>0x0000000000000000|- rs1_val==0 and imm_val==819<br>                                                                                                                                                                        |[0x8000252c]:andi a1, a0, 819<br> [0x80002530]:sd a1, 664(ra)<br>      |
| 363|[0x80006b60]<br>0x0000000000000000|- rs1_val==0 and imm_val==1638<br>                                                                                                                                                                       |[0x80002538]:andi a1, a0, 1638<br> [0x8000253c]:sd a1, 672(ra)<br>     |
| 364|[0x80006b68]<br>0x0000000000000004|- rs1_val==6148914691236517206 and imm_val==44<br>                                                                                                                                                       |[0x80002560]:andi a1, a0, 44<br> [0x80002564]:sd a1, 680(ra)<br>       |
| 365|[0x80006b70]<br>0x0000000000000556|- rs1_val==6148914691236517206 and imm_val==1366<br>                                                                                                                                                     |[0x80002588]:andi a1, a0, 1366<br> [0x8000258c]:sd a1, 688(ra)<br>     |
| 366|[0x80006b78]<br>0x5555555555555002|- rs1_val==6148914691236517206 and imm_val==-1365<br>                                                                                                                                                    |[0x800025b0]:andi a1, a0, 2731<br> [0x800025b4]:sd a1, 696(ra)<br>     |
| 367|[0x80006b80]<br>0x0000000000000006|- rs1_val==6148914691236517206 and imm_val==6<br>                                                                                                                                                        |[0x800025d8]:andi a1, a0, 6<br> [0x800025dc]:sd a1, 704(ra)<br>        |
| 368|[0x80006b88]<br>0x0000000000000114|- rs1_val==6148914691236517206 and imm_val==820<br>                                                                                                                                                      |[0x80002600]:andi a1, a0, 820<br> [0x80002604]:sd a1, 712(ra)<br>      |
| 369|[0x80006b90]<br>0x0000000000000446|- rs1_val==6148914691236517206 and imm_val==1639<br>                                                                                                                                                     |[0x80002628]:andi a1, a0, 1639<br> [0x8000262c]:sd a1, 720(ra)<br>     |
| 370|[0x80006b98]<br>0x5555555555555554|- rs1_val==6148914691236517206 and imm_val==-44<br>                                                                                                                                                      |[0x80002650]:andi a1, a0, 4052<br> [0x80002654]:sd a1, 728(ra)<br>     |
| 371|[0x80006ba0]<br>0x0000000000000006|- rs1_val==6148914691236517206 and imm_val==46<br>                                                                                                                                                       |[0x80002678]:andi a1, a0, 46<br> [0x8000267c]:sd a1, 736(ra)<br>       |
| 372|[0x80006ba8]<br>0x0000000000000003|- rs1_val==-6148914691236517205 and imm_val==3<br>                                                                                                                                                       |[0x800026a0]:andi a1, a0, 3<br> [0x800026a4]:sd a1, 744(ra)<br>        |
| 373|[0x80006bb0]<br>0x0000000000000001|- rs1_val==-6148914691236517205 and imm_val==1365<br>                                                                                                                                                    |[0x800026c8]:andi a1, a0, 1365<br> [0x800026cc]:sd a1, 752(ra)<br>     |
| 374|[0x80006bb8]<br>0xAAAAAAAAAAAAAAAA|- rs1_val==-6148914691236517205 and imm_val==-1366<br>                                                                                                                                                   |[0x800026f0]:andi a1, a0, 2730<br> [0x800026f4]:sd a1, 760(ra)<br>     |
| 375|[0x80006bc0]<br>0x0000000000000001|- rs1_val==-6148914691236517205 and imm_val==5<br>                                                                                                                                                       |[0x80002718]:andi a1, a0, 5<br> [0x8000271c]:sd a1, 768(ra)<br>        |
| 376|[0x80006bc8]<br>0x0000000000000223|- rs1_val==-6148914691236517205 and imm_val==819<br>                                                                                                                                                     |[0x80002740]:andi a1, a0, 819<br> [0x80002744]:sd a1, 776(ra)<br>      |
| 377|[0x80006bd0]<br>0x0000000000000222|- rs1_val==-6148914691236517205 and imm_val==1638<br>                                                                                                                                                    |[0x80002768]:andi a1, a0, 1638<br> [0x8000276c]:sd a1, 784(ra)<br>     |
| 378|[0x80006bd8]<br>0xAAAAAAAAAAAAAA83|- rs1_val==-6148914691236517205 and imm_val==-45<br>                                                                                                                                                     |[0x80002790]:andi a1, a0, 4051<br> [0x80002794]:sd a1, 792(ra)<br>     |
| 379|[0x80006be0]<br>0x0000000000000029|- rs1_val==-6148914691236517205 and imm_val==45<br>                                                                                                                                                      |[0x800027b8]:andi a1, a0, 45<br> [0x800027bc]:sd a1, 800(ra)<br>       |
| 380|[0x80006be8]<br>0x0000000000000002|- rs1_val==-6148914691236517205 and imm_val==2<br>                                                                                                                                                       |[0x800027e0]:andi a1, a0, 2<br> [0x800027e4]:sd a1, 808(ra)<br>        |
| 381|[0x80006bf0]<br>0x0000000000000000|- rs1_val==-6148914691236517205 and imm_val==1364<br>                                                                                                                                                    |[0x80002808]:andi a1, a0, 1364<br> [0x8000280c]:sd a1, 816(ra)<br>     |
| 382|[0x80006bf8]<br>0x0000000000000000|- rs1_val==-6148914691236517205 and imm_val==0<br>                                                                                                                                                       |[0x80002830]:andi a1, a0, 0<br> [0x80002834]:sd a1, 824(ra)<br>        |
| 383|[0x80006c00]<br>0x0000000000000000|- rs1_val==-6148914691236517205 and imm_val==4<br>                                                                                                                                                       |[0x80002858]:andi a1, a0, 4<br> [0x8000285c]:sd a1, 832(ra)<br>        |
| 384|[0x80006c08]<br>0x0000000000000222|- rs1_val==-6148914691236517205 and imm_val==818<br>                                                                                                                                                     |[0x80002880]:andi a1, a0, 818<br> [0x80002884]:sd a1, 840(ra)<br>      |
| 385|[0x80006c10]<br>0x0000000000000221|- rs1_val==-6148914691236517205 and imm_val==1637<br>                                                                                                                                                    |[0x800028a8]:andi a1, a0, 1637<br> [0x800028ac]:sd a1, 848(ra)<br>     |
| 386|[0x80006c18]<br>0x0000000000000028|- rs1_val==-6148914691236517205 and imm_val==44<br>                                                                                                                                                      |[0x800028d0]:andi a1, a0, 44<br> [0x800028d4]:sd a1, 856(ra)<br>       |
| 387|[0x80006c20]<br>0x0000000000000002|- rs1_val==-6148914691236517205 and imm_val==1366<br>                                                                                                                                                    |[0x800028f8]:andi a1, a0, 1366<br> [0x800028fc]:sd a1, 864(ra)<br>     |
| 388|[0x80006c28]<br>0xAAAAAAAAAAAAAAAB|- rs1_val==-6148914691236517205 and imm_val==-1365<br>                                                                                                                                                   |[0x80002920]:andi a1, a0, 2731<br> [0x80002924]:sd a1, 872(ra)<br>     |
| 389|[0x80006c30]<br>0x0000000000000002|- rs1_val==-6148914691236517205 and imm_val==6<br>                                                                                                                                                       |[0x80002948]:andi a1, a0, 6<br> [0x8000294c]:sd a1, 880(ra)<br>        |
| 390|[0x80006c38]<br>0x0000000000000220|- rs1_val==-6148914691236517205 and imm_val==820<br>                                                                                                                                                     |[0x80002970]:andi a1, a0, 820<br> [0x80002974]:sd a1, 888(ra)<br>      |
| 391|[0x80006c40]<br>0x0000000000000223|- rs1_val==-6148914691236517205 and imm_val==1639<br>                                                                                                                                                    |[0x80002998]:andi a1, a0, 1639<br> [0x8000299c]:sd a1, 896(ra)<br>     |
| 392|[0x80006c48]<br>0xAAAAAAAAAAAAAA80|- rs1_val==-6148914691236517205 and imm_val==-44<br>                                                                                                                                                     |[0x800029c0]:andi a1, a0, 4052<br> [0x800029c4]:sd a1, 904(ra)<br>     |
| 393|[0x80006c50]<br>0x000000000000002A|- rs1_val==-6148914691236517205 and imm_val==46<br>                                                                                                                                                      |[0x800029e8]:andi a1, a0, 46<br> [0x800029ec]:sd a1, 912(ra)<br>       |
| 394|[0x80006c58]<br>0x0000000000000002|- rs1_val==6 and imm_val==3<br>                                                                                                                                                                          |[0x800029f4]:andi a1, a0, 3<br> [0x800029f8]:sd a1, 920(ra)<br>        |
| 395|[0x80006c60]<br>0x0000000000000004|- rs1_val==6 and imm_val==1365<br>                                                                                                                                                                       |[0x80002a00]:andi a1, a0, 1365<br> [0x80002a04]:sd a1, 928(ra)<br>     |
| 396|[0x80006c68]<br>0x0000000000000002|- rs1_val==6 and imm_val==-1366<br>                                                                                                                                                                      |[0x80002a0c]:andi a1, a0, 2730<br> [0x80002a10]:sd a1, 936(ra)<br>     |
| 397|[0x80006c70]<br>0x0000000000000004|- rs1_val==6 and imm_val==5<br>                                                                                                                                                                          |[0x80002a18]:andi a1, a0, 5<br> [0x80002a1c]:sd a1, 944(ra)<br>        |
| 398|[0x80006c78]<br>0x0000000000000002|- rs1_val==6 and imm_val==819<br>                                                                                                                                                                        |[0x80002a24]:andi a1, a0, 819<br> [0x80002a28]:sd a1, 952(ra)<br>      |
| 399|[0x80006c80]<br>0x0000000000000006|- rs1_val==6 and imm_val==1638<br>                                                                                                                                                                       |[0x80002a30]:andi a1, a0, 1638<br> [0x80002a34]:sd a1, 960(ra)<br>     |
| 400|[0x80006c88]<br>0x0000000000000002|- rs1_val==6 and imm_val==-45<br>                                                                                                                                                                        |[0x80002a3c]:andi a1, a0, 4051<br> [0x80002a40]:sd a1, 968(ra)<br>     |
| 401|[0x80006c90]<br>0x0000000000000004|- rs1_val==6 and imm_val==45<br>                                                                                                                                                                         |[0x80002a48]:andi a1, a0, 45<br> [0x80002a4c]:sd a1, 976(ra)<br>       |
| 402|[0x80006c98]<br>0x0000000000000002|- rs1_val==6 and imm_val==2<br>                                                                                                                                                                          |[0x80002a54]:andi a1, a0, 2<br> [0x80002a58]:sd a1, 984(ra)<br>        |
| 403|[0x80006ca0]<br>0x0000000000000004|- rs1_val==6 and imm_val==1364<br>                                                                                                                                                                       |[0x80002a60]:andi a1, a0, 1364<br> [0x80002a64]:sd a1, 992(ra)<br>     |
| 404|[0x80006ca8]<br>0x0000000000000000|- rs1_val==6 and imm_val==0<br>                                                                                                                                                                          |[0x80002a6c]:andi a1, a0, 0<br> [0x80002a70]:sd a1, 1000(ra)<br>       |
| 405|[0x80006cb0]<br>0x0000000000000004|- rs1_val==6 and imm_val==4<br>                                                                                                                                                                          |[0x80002a78]:andi a1, a0, 4<br> [0x80002a7c]:sd a1, 1008(ra)<br>       |
| 406|[0x80006cb8]<br>0x0000000000000002|- rs1_val==6 and imm_val==818<br>                                                                                                                                                                        |[0x80002a84]:andi a1, a0, 818<br> [0x80002a88]:sd a1, 1016(ra)<br>     |
| 407|[0x80006cc0]<br>0x0000000000000004|- rs1_val==6 and imm_val==1637<br>                                                                                                                                                                       |[0x80002a90]:andi a1, a0, 1637<br> [0x80002a94]:sd a1, 1024(ra)<br>    |
| 408|[0x80006cc8]<br>0x0000000000000004|- rs1_val==6 and imm_val==44<br>                                                                                                                                                                         |[0x80002a9c]:andi a1, a0, 44<br> [0x80002aa0]:sd a1, 1032(ra)<br>      |
| 409|[0x80006cd0]<br>0x0000000000000006|- rs1_val==6 and imm_val==1366<br>                                                                                                                                                                       |[0x80002aa8]:andi a1, a0, 1366<br> [0x80002aac]:sd a1, 1040(ra)<br>    |
| 410|[0x80006cd8]<br>0x0000000000000002|- rs1_val==6 and imm_val==-1365<br>                                                                                                                                                                      |[0x80002ab4]:andi a1, a0, 2731<br> [0x80002ab8]:sd a1, 1048(ra)<br>    |
| 411|[0x80006ce0]<br>0x0000000000000006|- rs1_val==6 and imm_val==6<br>                                                                                                                                                                          |[0x80002ac0]:andi a1, a0, 6<br> [0x80002ac4]:sd a1, 1056(ra)<br>       |
| 412|[0x80006ce8]<br>0x0000000000000004|- rs1_val==6 and imm_val==820<br>                                                                                                                                                                        |[0x80002acc]:andi a1, a0, 820<br> [0x80002ad0]:sd a1, 1064(ra)<br>     |
| 413|[0x80006cf0]<br>0x0000000000000006|- rs1_val==6 and imm_val==1639<br>                                                                                                                                                                       |[0x80002ad8]:andi a1, a0, 1639<br> [0x80002adc]:sd a1, 1072(ra)<br>    |
| 414|[0x80006cf8]<br>0x0000000000000004|- rs1_val==6 and imm_val==-44<br>                                                                                                                                                                        |[0x80002ae4]:andi a1, a0, 4052<br> [0x80002ae8]:sd a1, 1080(ra)<br>    |
| 415|[0x80006d00]<br>0x0000000000000006|- rs1_val==6 and imm_val==46<br>                                                                                                                                                                         |[0x80002af0]:andi a1, a0, 46<br> [0x80002af4]:sd a1, 1088(ra)<br>      |
| 416|[0x80006d08]<br>0x0000000000000000|- rs1_val==3689348814741910324 and imm_val==3<br>                                                                                                                                                        |[0x80002b18]:andi a1, a0, 3<br> [0x80002b1c]:sd a1, 1096(ra)<br>       |
| 417|[0x80006d10]<br>0x0000000000000114|- rs1_val==3689348814741910324 and imm_val==1365<br>                                                                                                                                                     |[0x80002b40]:andi a1, a0, 1365<br> [0x80002b44]:sd a1, 1104(ra)<br>    |
| 418|[0x80006d18]<br>0x3333333333333220|- rs1_val==3689348814741910324 and imm_val==-1366<br>                                                                                                                                                    |[0x80002b68]:andi a1, a0, 2730<br> [0x80002b6c]:sd a1, 1112(ra)<br>    |
| 419|[0x80006d20]<br>0x0000000000000004|- rs1_val==3689348814741910324 and imm_val==5<br>                                                                                                                                                        |[0x80002b90]:andi a1, a0, 5<br> [0x80002b94]:sd a1, 1120(ra)<br>       |
| 420|[0x80006d28]<br>0x0000000000000330|- rs1_val==3689348814741910324 and imm_val==819<br>                                                                                                                                                      |[0x80002bb8]:andi a1, a0, 819<br> [0x80002bbc]:sd a1, 1128(ra)<br>     |
| 421|[0x80006d30]<br>0x0000000000000224|- rs1_val==3689348814741910324 and imm_val==1638<br>                                                                                                                                                     |[0x80002be0]:andi a1, a0, 1638<br> [0x80002be4]:sd a1, 1136(ra)<br>    |
| 422|[0x80006d38]<br>0x3333333333333310|- rs1_val==3689348814741910324 and imm_val==-45<br>                                                                                                                                                      |[0x80002c08]:andi a1, a0, 4051<br> [0x80002c0c]:sd a1, 1144(ra)<br>    |
| 423|[0x80006d40]<br>0x0000000000000024|- rs1_val==3689348814741910324 and imm_val==45<br>                                                                                                                                                       |[0x80002c30]:andi a1, a0, 45<br> [0x80002c34]:sd a1, 1152(ra)<br>      |
| 424|[0x80006d48]<br>0x0000000000000000|- rs1_val==3689348814741910324 and imm_val==2<br>                                                                                                                                                        |[0x80002c58]:andi a1, a0, 2<br> [0x80002c5c]:sd a1, 1160(ra)<br>       |
| 425|[0x80006d50]<br>0x0000000000000114|- rs1_val==3689348814741910324 and imm_val==1364<br>                                                                                                                                                     |[0x80002c80]:andi a1, a0, 1364<br> [0x80002c84]:sd a1, 1168(ra)<br>    |
| 426|[0x80006d58]<br>0x0000000000000000|- rs1_val==3689348814741910324 and imm_val==0<br>                                                                                                                                                        |[0x80002ca8]:andi a1, a0, 0<br> [0x80002cac]:sd a1, 1176(ra)<br>       |
| 427|[0x80006d60]<br>0x0000000000000004|- rs1_val==3689348814741910324 and imm_val==4<br>                                                                                                                                                        |[0x80002cd0]:andi a1, a0, 4<br> [0x80002cd4]:sd a1, 1184(ra)<br>       |
| 428|[0x80006d68]<br>0x0000000000000330|- rs1_val==3689348814741910324 and imm_val==818<br>                                                                                                                                                      |[0x80002cf8]:andi a1, a0, 818<br> [0x80002cfc]:sd a1, 1192(ra)<br>     |
| 429|[0x80006d70]<br>0x0000000000000224|- rs1_val==3689348814741910324 and imm_val==1637<br>                                                                                                                                                     |[0x80002d20]:andi a1, a0, 1637<br> [0x80002d24]:sd a1, 1200(ra)<br>    |
| 430|[0x80006d78]<br>0x0000000000000024|- rs1_val==3689348814741910324 and imm_val==44<br>                                                                                                                                                       |[0x80002d48]:andi a1, a0, 44<br> [0x80002d4c]:sd a1, 1208(ra)<br>      |
| 431|[0x80006d80]<br>0x0000000000000114|- rs1_val==3689348814741910324 and imm_val==1366<br>                                                                                                                                                     |[0x80002d70]:andi a1, a0, 1366<br> [0x80002d74]:sd a1, 1216(ra)<br>    |
| 432|[0x80006d88]<br>0x3333333333333220|- rs1_val==3689348814741910324 and imm_val==-1365<br>                                                                                                                                                    |[0x80002d98]:andi a1, a0, 2731<br> [0x80002d9c]:sd a1, 1224(ra)<br>    |
| 433|[0x80006d90]<br>0x0000000000000004|- rs1_val==3689348814741910324 and imm_val==6<br>                                                                                                                                                        |[0x80002dc0]:andi a1, a0, 6<br> [0x80002dc4]:sd a1, 1232(ra)<br>       |
| 434|[0x80006d98]<br>0x0000000000000334|- rs1_val==3689348814741910324 and imm_val==820<br>                                                                                                                                                      |[0x80002de8]:andi a1, a0, 820<br> [0x80002dec]:sd a1, 1240(ra)<br>     |
| 435|[0x80006da0]<br>0x0000000000000224|- rs1_val==3689348814741910324 and imm_val==1639<br>                                                                                                                                                     |[0x80002e10]:andi a1, a0, 1639<br> [0x80002e14]:sd a1, 1248(ra)<br>    |
| 436|[0x80006da8]<br>0x3333333333333314|- rs1_val==3689348814741910324 and imm_val==-44<br>                                                                                                                                                      |[0x80002e38]:andi a1, a0, 4052<br> [0x80002e3c]:sd a1, 1256(ra)<br>    |
| 437|[0x80006db0]<br>0x0000000000000024|- rs1_val==3689348814741910324 and imm_val==46<br>                                                                                                                                                       |[0x80002e60]:andi a1, a0, 46<br> [0x80002e64]:sd a1, 1264(ra)<br>      |
| 438|[0x80006db8]<br>0x0000000000000003|- rs1_val==7378697629483820647 and imm_val==3<br>                                                                                                                                                        |[0x80002e88]:andi a1, a0, 3<br> [0x80002e8c]:sd a1, 1272(ra)<br>       |
| 439|[0x80006dc0]<br>0x0000000000000445|- rs1_val==7378697629483820647 and imm_val==1365<br>                                                                                                                                                     |[0x80002eb0]:andi a1, a0, 1365<br> [0x80002eb4]:sd a1, 1280(ra)<br>    |
| 440|[0x80006dc8]<br>0x6666666666666222|- rs1_val==7378697629483820647 and imm_val==-1366<br>                                                                                                                                                    |[0x80002ed8]:andi a1, a0, 2730<br> [0x80002edc]:sd a1, 1288(ra)<br>    |
| 441|[0x80006dd0]<br>0x0000000000000005|- rs1_val==7378697629483820647 and imm_val==5<br>                                                                                                                                                        |[0x80002f00]:andi a1, a0, 5<br> [0x80002f04]:sd a1, 1296(ra)<br>       |
| 442|[0x80006dd8]<br>0x0000000000000223|- rs1_val==7378697629483820647 and imm_val==819<br>                                                                                                                                                      |[0x80002f28]:andi a1, a0, 819<br> [0x80002f2c]:sd a1, 1304(ra)<br>     |
| 443|[0x80006de0]<br>0x0000000000000666|- rs1_val==7378697629483820647 and imm_val==1638<br>                                                                                                                                                     |[0x80002f50]:andi a1, a0, 1638<br> [0x80002f54]:sd a1, 1312(ra)<br>    |
| 444|[0x80006de8]<br>0x6666666666666643|- rs1_val==7378697629483820647 and imm_val==-45<br>                                                                                                                                                      |[0x80002f78]:andi a1, a0, 4051<br> [0x80002f7c]:sd a1, 1320(ra)<br>    |
| 445|[0x80006df0]<br>0x0000000000000025|- rs1_val==7378697629483820647 and imm_val==45<br>                                                                                                                                                       |[0x80002fa0]:andi a1, a0, 45<br> [0x80002fa4]:sd a1, 1328(ra)<br>      |
| 446|[0x80006df8]<br>0x0000000000000002|- rs1_val==7378697629483820647 and imm_val==2<br>                                                                                                                                                        |[0x80002fc8]:andi a1, a0, 2<br> [0x80002fcc]:sd a1, 1336(ra)<br>       |
| 447|[0x80006e00]<br>0x0000000000000444|- rs1_val==7378697629483820647 and imm_val==1364<br>                                                                                                                                                     |[0x80002ff0]:andi a1, a0, 1364<br> [0x80002ff4]:sd a1, 1344(ra)<br>    |
| 448|[0x80006e08]<br>0x0000000000000000|- rs1_val==7378697629483820647 and imm_val==0<br>                                                                                                                                                        |[0x80003018]:andi a1, a0, 0<br> [0x8000301c]:sd a1, 1352(ra)<br>       |
| 449|[0x80006e10]<br>0x0000000000000004|- rs1_val==7378697629483820647 and imm_val==4<br>                                                                                                                                                        |[0x80003040]:andi a1, a0, 4<br> [0x80003044]:sd a1, 1360(ra)<br>       |
| 450|[0x80006e18]<br>0x0000000000000222|- rs1_val==7378697629483820647 and imm_val==818<br>                                                                                                                                                      |[0x80003068]:andi a1, a0, 818<br> [0x8000306c]:sd a1, 1368(ra)<br>     |
| 451|[0x80006e20]<br>0x0000000000000665|- rs1_val==7378697629483820647 and imm_val==1637<br>                                                                                                                                                     |[0x80003090]:andi a1, a0, 1637<br> [0x80003094]:sd a1, 1376(ra)<br>    |
| 452|[0x80006e28]<br>0x0000000000000024|- rs1_val==7378697629483820647 and imm_val==44<br>                                                                                                                                                       |[0x800030b8]:andi a1, a0, 44<br> [0x800030bc]:sd a1, 1384(ra)<br>      |
| 453|[0x80006e30]<br>0x0000000000000446|- rs1_val==7378697629483820647 and imm_val==1366<br>                                                                                                                                                     |[0x800030e0]:andi a1, a0, 1366<br> [0x800030e4]:sd a1, 1392(ra)<br>    |
| 454|[0x80006e38]<br>0x6666666666666223|- rs1_val==7378697629483820647 and imm_val==-1365<br>                                                                                                                                                    |[0x80003108]:andi a1, a0, 2731<br> [0x8000310c]:sd a1, 1400(ra)<br>    |
| 455|[0x80006e40]<br>0x0000000000000006|- rs1_val==7378697629483820647 and imm_val==6<br>                                                                                                                                                        |[0x80003130]:andi a1, a0, 6<br> [0x80003134]:sd a1, 1408(ra)<br>       |
| 456|[0x80006e48]<br>0x0000000000000224|- rs1_val==7378697629483820647 and imm_val==820<br>                                                                                                                                                      |[0x80003158]:andi a1, a0, 820<br> [0x8000315c]:sd a1, 1416(ra)<br>     |
| 457|[0x80006e50]<br>0x0000000000000667|- rs1_val==7378697629483820647 and imm_val==1639<br>                                                                                                                                                     |[0x80003180]:andi a1, a0, 1639<br> [0x80003184]:sd a1, 1424(ra)<br>    |
| 458|[0x80006e58]<br>0x6666666666666644|- rs1_val==7378697629483820647 and imm_val==-44<br>                                                                                                                                                      |[0x800031a8]:andi a1, a0, 4052<br> [0x800031ac]:sd a1, 1432(ra)<br>    |
| 459|[0x80006e60]<br>0x0000000000000026|- rs1_val==7378697629483820647 and imm_val==46<br>                                                                                                                                                       |[0x800031d0]:andi a1, a0, 46<br> [0x800031d4]:sd a1, 1440(ra)<br>      |
| 460|[0x80006e68]<br>0x0000000000000002|- rs1_val==-3037000498 and imm_val==3<br>                                                                                                                                                                |[0x800031e8]:andi a1, a0, 3<br> [0x800031ec]:sd a1, 1448(ra)<br>       |
| 461|[0x80006e70]<br>0x0000000000000444|- rs1_val==-3037000498 and imm_val==1365<br>                                                                                                                                                             |[0x80003200]:andi a1, a0, 1365<br> [0x80003204]:sd a1, 1456(ra)<br>    |
| 462|[0x80006e78]<br>0xFFFFFFFF4AFB088A|- rs1_val==-3037000498 and imm_val==-1366<br>                                                                                                                                                            |[0x80003218]:andi a1, a0, 2730<br> [0x8000321c]:sd a1, 1464(ra)<br>    |
| 463|[0x80006e80]<br>0x0000000000000004|- rs1_val==-3037000498 and imm_val==5<br>                                                                                                                                                                |[0x80003230]:andi a1, a0, 5<br> [0x80003234]:sd a1, 1472(ra)<br>       |
| 464|[0x80006e88]<br>0x0000000000000002|- rs1_val==-3037000498 and imm_val==819<br>                                                                                                                                                              |[0x80003248]:andi a1, a0, 819<br> [0x8000324c]:sd a1, 1480(ra)<br>     |
| 465|[0x80006e90]<br>0x0000000000000446|- rs1_val==-3037000498 and imm_val==1638<br>                                                                                                                                                             |[0x80003260]:andi a1, a0, 1638<br> [0x80003264]:sd a1, 1488(ra)<br>    |
| 466|[0x80006e98]<br>0xFFFFFFFF4AFB0CC2|- rs1_val==-3037000498 and imm_val==-45<br>                                                                                                                                                              |[0x80003278]:andi a1, a0, 4051<br> [0x8000327c]:sd a1, 1496(ra)<br>    |
| 467|[0x80006ea0]<br>0x000000000000000C|- rs1_val==-3037000498 and imm_val==45<br>                                                                                                                                                               |[0x80003290]:andi a1, a0, 45<br> [0x80003294]:sd a1, 1504(ra)<br>      |
| 468|[0x80006ea8]<br>0x0000000000000002|- rs1_val==-3037000498 and imm_val==2<br>                                                                                                                                                                |[0x800032a8]:andi a1, a0, 2<br> [0x800032ac]:sd a1, 1512(ra)<br>       |
| 469|[0x80006eb0]<br>0x0000000000000444|- rs1_val==-3037000498 and imm_val==1364<br>                                                                                                                                                             |[0x800032c0]:andi a1, a0, 1364<br> [0x800032c4]:sd a1, 1520(ra)<br>    |
| 470|[0x80006eb8]<br>0x0000000000000000|- rs1_val==-3037000498 and imm_val==0<br>                                                                                                                                                                |[0x800032d8]:andi a1, a0, 0<br> [0x800032dc]:sd a1, 1528(ra)<br>       |
| 471|[0x80006ec0]<br>0x0000000000000004|- rs1_val==-3037000498 and imm_val==4<br>                                                                                                                                                                |[0x800032f0]:andi a1, a0, 4<br> [0x800032f4]:sd a1, 1536(ra)<br>       |
| 472|[0x80006ec8]<br>0x0000000000000002|- rs1_val==-3037000498 and imm_val==818<br>                                                                                                                                                              |[0x80003308]:andi a1, a0, 818<br> [0x8000330c]:sd a1, 1544(ra)<br>     |
| 473|[0x80006ed0]<br>0x0000000000000444|- rs1_val==-3037000498 and imm_val==1637<br>                                                                                                                                                             |[0x80003320]:andi a1, a0, 1637<br> [0x80003324]:sd a1, 1552(ra)<br>    |
| 474|[0x80006ed8]<br>0x000000000000000C|- rs1_val==-3037000498 and imm_val==44<br>                                                                                                                                                               |[0x80003338]:andi a1, a0, 44<br> [0x8000333c]:sd a1, 1560(ra)<br>      |
| 475|[0x80006ee0]<br>0x0000000000000446|- rs1_val==-3037000498 and imm_val==1366<br>                                                                                                                                                             |[0x80003350]:andi a1, a0, 1366<br> [0x80003354]:sd a1, 1568(ra)<br>    |
| 476|[0x80006ee8]<br>0xFFFFFFFF4AFB088A|- rs1_val==-3037000498 and imm_val==-1365<br>                                                                                                                                                            |[0x80003368]:andi a1, a0, 2731<br> [0x8000336c]:sd a1, 1576(ra)<br>    |
| 477|[0x80006ef0]<br>0x0000000000000006|- rs1_val==-3037000498 and imm_val==6<br>                                                                                                                                                                |[0x80003380]:andi a1, a0, 6<br> [0x80003384]:sd a1, 1584(ra)<br>       |
| 478|[0x80006ef8]<br>0x0000000000000004|- rs1_val==-3037000498 and imm_val==820<br>                                                                                                                                                              |[0x80003398]:andi a1, a0, 820<br> [0x8000339c]:sd a1, 1592(ra)<br>     |
| 479|[0x80006f00]<br>0x0000000000000446|- rs1_val==-3037000498 and imm_val==1639<br>                                                                                                                                                             |[0x800033b0]:andi a1, a0, 1639<br> [0x800033b4]:sd a1, 1600(ra)<br>    |
| 480|[0x80006f08]<br>0xFFFFFFFF4AFB0CC4|- rs1_val==-3037000498 and imm_val==-44<br>                                                                                                                                                              |[0x800033c8]:andi a1, a0, 4052<br> [0x800033cc]:sd a1, 1608(ra)<br>    |
| 481|[0x80006f10]<br>0x000000000000000E|- rs1_val==-3037000498 and imm_val==46<br>                                                                                                                                                               |[0x800033e0]:andi a1, a0, 46<br> [0x800033e4]:sd a1, 1616(ra)<br>      |
| 482|[0x80006f18]<br>0x0000000000000000|- rs1_val==3037000500 and imm_val==3<br>                                                                                                                                                                 |[0x800033f8]:andi a1, a0, 3<br> [0x800033fc]:sd a1, 1624(ra)<br>       |
| 483|[0x80006f20]<br>0x00000000B504F220|- rs1_val==3037000500 and imm_val==-1366<br>                                                                                                                                                             |[0x80003410]:andi a1, a0, 2730<br> [0x80003414]:sd a1, 1632(ra)<br>    |
| 484|[0x80006f28]<br>0x0000000000000004|- rs1_val==3037000500 and imm_val==5<br>                                                                                                                                                                 |[0x80003428]:andi a1, a0, 5<br> [0x8000342c]:sd a1, 1640(ra)<br>       |
| 485|[0x80006f30]<br>0x0000000000000330|- rs1_val==3037000500 and imm_val==819<br>                                                                                                                                                               |[0x80003440]:andi a1, a0, 819<br> [0x80003444]:sd a1, 1648(ra)<br>     |
| 486|[0x80006f38]<br>0x0000000000000224|- rs1_val==3037000500 and imm_val==1638<br>                                                                                                                                                              |[0x80003458]:andi a1, a0, 1638<br> [0x8000345c]:sd a1, 1656(ra)<br>    |
| 487|[0x80006f40]<br>0x00000000B504F310|- rs1_val==3037000500 and imm_val==-45<br>                                                                                                                                                               |[0x80003470]:andi a1, a0, 4051<br> [0x80003474]:sd a1, 1664(ra)<br>    |
| 488|[0x80006f48]<br>0x0000000000000024|- rs1_val==3037000500 and imm_val==45<br>                                                                                                                                                                |[0x80003488]:andi a1, a0, 45<br> [0x8000348c]:sd a1, 1672(ra)<br>      |
| 489|[0x80006f50]<br>0x0000000000000000|- rs1_val==3037000500 and imm_val==2<br>                                                                                                                                                                 |[0x800034a0]:andi a1, a0, 2<br> [0x800034a4]:sd a1, 1680(ra)<br>       |
| 490|[0x80006f58]<br>0x0000000000000114|- rs1_val==3037000500 and imm_val==1364<br>                                                                                                                                                              |[0x800034b8]:andi a1, a0, 1364<br> [0x800034bc]:sd a1, 1688(ra)<br>    |
| 491|[0x80006f60]<br>0x0000000000000000|- rs1_val==3037000500 and imm_val==0<br>                                                                                                                                                                 |[0x800034d0]:andi a1, a0, 0<br> [0x800034d4]:sd a1, 1696(ra)<br>       |
| 492|[0x80006f68]<br>0x0000000000000004|- rs1_val==3037000500 and imm_val==4<br>                                                                                                                                                                 |[0x800034e8]:andi a1, a0, 4<br> [0x800034ec]:sd a1, 1704(ra)<br>       |
| 493|[0x80006f70]<br>0x0000000000000330|- rs1_val==3037000500 and imm_val==818<br>                                                                                                                                                               |[0x80003500]:andi a1, a0, 818<br> [0x80003504]:sd a1, 1712(ra)<br>     |
| 494|[0x80006f78]<br>0x0000000000000224|- rs1_val==3037000500 and imm_val==1637<br>                                                                                                                                                              |[0x80003518]:andi a1, a0, 1637<br> [0x8000351c]:sd a1, 1720(ra)<br>    |
| 495|[0x80006f80]<br>0x0000000000000024|- rs1_val==3037000500 and imm_val==44<br>                                                                                                                                                                |[0x80003530]:andi a1, a0, 44<br> [0x80003534]:sd a1, 1728(ra)<br>      |
| 496|[0x80006f88]<br>0x0000000000000114|- rs1_val==3037000500 and imm_val==1366<br>                                                                                                                                                              |[0x80003548]:andi a1, a0, 1366<br> [0x8000354c]:sd a1, 1736(ra)<br>    |
| 497|[0x80006f90]<br>0x00000000B504F220|- rs1_val==3037000500 and imm_val==-1365<br>                                                                                                                                                             |[0x80003560]:andi a1, a0, 2731<br> [0x80003564]:sd a1, 1744(ra)<br>    |
| 498|[0x80006f98]<br>0x0000000000000004|- rs1_val==3037000500 and imm_val==6<br>                                                                                                                                                                 |[0x80003578]:andi a1, a0, 6<br> [0x8000357c]:sd a1, 1752(ra)<br>       |
| 499|[0x80006fa0]<br>0x0000000000000334|- rs1_val==3037000500 and imm_val==820<br>                                                                                                                                                               |[0x80003590]:andi a1, a0, 820<br> [0x80003594]:sd a1, 1760(ra)<br>     |
| 500|[0x80006fa8]<br>0x0000000000000224|- rs1_val==3037000500 and imm_val==1639<br>                                                                                                                                                              |[0x800035a8]:andi a1, a0, 1639<br> [0x800035ac]:sd a1, 1768(ra)<br>    |
| 501|[0x80006fb0]<br>0x00000000B504F314|- rs1_val==3037000500 and imm_val==-44<br>                                                                                                                                                               |[0x800035c0]:andi a1, a0, 4052<br> [0x800035c4]:sd a1, 1776(ra)<br>    |
| 502|[0x80006fb8]<br>0x0000000000000000|- rs1_val==0 and imm_val==-45<br>                                                                                                                                                                        |[0x800035cc]:andi a1, a0, 4051<br> [0x800035d0]:sd a1, 1784(ra)<br>    |
| 503|[0x80006fc0]<br>0x0000000000000024|- rs1_val==3037000500 and imm_val==46<br>                                                                                                                                                                |[0x800035e4]:andi a1, a0, 46<br> [0x800035e8]:sd a1, 1792(ra)<br>      |
| 504|[0x80006fc8]<br>0x0000000000000000|- rs1_val==0 and imm_val==2<br>                                                                                                                                                                          |[0x800035f0]:andi a1, a0, 2<br> [0x800035f4]:sd a1, 1800(ra)<br>       |
| 505|[0x80006fd0]<br>0x0000000000000000|- rs1_val==0 and imm_val==1364<br>                                                                                                                                                                       |[0x800035fc]:andi a1, a0, 1364<br> [0x80003600]:sd a1, 1808(ra)<br>    |
| 506|[0x80006fd8]<br>0x0000000000000000|- rs1_val==0 and imm_val==4<br>                                                                                                                                                                          |[0x80003608]:andi a1, a0, 4<br> [0x8000360c]:sd a1, 1816(ra)<br>       |
| 507|[0x80006fe0]<br>0x0000000000000000|- rs1_val==0 and imm_val==818<br>                                                                                                                                                                        |[0x80003614]:andi a1, a0, 818<br> [0x80003618]:sd a1, 1824(ra)<br>     |
| 508|[0x80006fe8]<br>0x0000000000000000|- rs1_val==0 and imm_val==1637<br>                                                                                                                                                                       |[0x80003620]:andi a1, a0, 1637<br> [0x80003624]:sd a1, 1832(ra)<br>    |
| 509|[0x80006ff0]<br>0x0000000000000000|- rs1_val==0 and imm_val==44<br>                                                                                                                                                                         |[0x8000362c]:andi a1, a0, 44<br> [0x80003630]:sd a1, 1840(ra)<br>      |
| 510|[0x80006ff8]<br>0x0000000000000000|- rs1_val==0 and imm_val==1366<br>                                                                                                                                                                       |[0x80003638]:andi a1, a0, 1366<br> [0x8000363c]:sd a1, 1848(ra)<br>    |
| 511|[0x80007000]<br>0x0000000000000000|- rs1_val==0 and imm_val==-1365<br>                                                                                                                                                                      |[0x80003644]:andi a1, a0, 2731<br> [0x80003648]:sd a1, 1856(ra)<br>    |
| 512|[0x80007008]<br>0x0000000000000000|- rs1_val==0 and imm_val==6<br>                                                                                                                                                                          |[0x80003650]:andi a1, a0, 6<br> [0x80003654]:sd a1, 1864(ra)<br>       |
| 513|[0x80007010]<br>0x0000000000000000|- rs1_val==0 and imm_val==820<br>                                                                                                                                                                        |[0x8000365c]:andi a1, a0, 820<br> [0x80003660]:sd a1, 1872(ra)<br>     |
| 514|[0x80007018]<br>0x0000000000000000|- rs1_val==0 and imm_val==1639<br>                                                                                                                                                                       |[0x80003668]:andi a1, a0, 1639<br> [0x8000366c]:sd a1, 1880(ra)<br>    |
| 515|[0x80007020]<br>0x0000000000000000|- rs1_val==0 and imm_val==-44<br>                                                                                                                                                                        |[0x80003674]:andi a1, a0, 4052<br> [0x80003678]:sd a1, 1888(ra)<br>    |
| 516|[0x80007028]<br>0x0000000000000000|- rs1_val==0 and imm_val==46<br>                                                                                                                                                                         |[0x80003680]:andi a1, a0, 46<br> [0x80003684]:sd a1, 1896(ra)<br>      |
| 517|[0x80007030]<br>0x0000000000000000|- rs1_val==4 and imm_val==3<br>                                                                                                                                                                          |[0x8000368c]:andi a1, a0, 3<br> [0x80003690]:sd a1, 1904(ra)<br>       |
| 518|[0x80007038]<br>0x0000000000000004|- rs1_val==4 and imm_val==1365<br>                                                                                                                                                                       |[0x80003698]:andi a1, a0, 1365<br> [0x8000369c]:sd a1, 1912(ra)<br>    |
| 519|[0x80007040]<br>0x0000000000000000|- rs1_val==4 and imm_val==-1366<br>                                                                                                                                                                      |[0x800036a4]:andi a1, a0, 2730<br> [0x800036a8]:sd a1, 1920(ra)<br>    |
| 520|[0x80007048]<br>0x0000000000000004|- rs1_val==4 and imm_val==5<br>                                                                                                                                                                          |[0x800036b0]:andi a1, a0, 5<br> [0x800036b4]:sd a1, 1928(ra)<br>       |
| 521|[0x80007050]<br>0x0000000000000000|- rs1_val==4 and imm_val==819<br>                                                                                                                                                                        |[0x800036bc]:andi a1, a0, 819<br> [0x800036c0]:sd a1, 1936(ra)<br>     |
| 522|[0x80007058]<br>0x0000000000000004|- rs1_val==4 and imm_val==1638<br>                                                                                                                                                                       |[0x800036c8]:andi a1, a0, 1638<br> [0x800036cc]:sd a1, 1944(ra)<br>    |
| 523|[0x80007060]<br>0x0000000000000000|- rs1_val==4 and imm_val==-45<br>                                                                                                                                                                        |[0x800036d4]:andi a1, a0, 4051<br> [0x800036d8]:sd a1, 1952(ra)<br>    |
| 524|[0x80007068]<br>0x0000000000000004|- rs1_val==4 and imm_val==45<br>                                                                                                                                                                         |[0x800036e0]:andi a1, a0, 45<br> [0x800036e4]:sd a1, 1960(ra)<br>      |
| 525|[0x80007070]<br>0x0000000000000000|- rs1_val==4 and imm_val==2<br>                                                                                                                                                                          |[0x800036ec]:andi a1, a0, 2<br> [0x800036f0]:sd a1, 1968(ra)<br>       |
| 526|[0x80007078]<br>0x0000000000000004|- rs1_val==4 and imm_val==1364<br>                                                                                                                                                                       |[0x800036f8]:andi a1, a0, 1364<br> [0x800036fc]:sd a1, 1976(ra)<br>    |
| 527|[0x80007080]<br>0x0000000000000000|- rs1_val==4 and imm_val==0<br>                                                                                                                                                                          |[0x80003704]:andi a1, a0, 0<br> [0x80003708]:sd a1, 1984(ra)<br>       |
| 528|[0x80007088]<br>0x0000000000000004|- rs1_val==4 and imm_val==4<br>                                                                                                                                                                          |[0x80003710]:andi a1, a0, 4<br> [0x80003714]:sd a1, 1992(ra)<br>       |
| 529|[0x80007090]<br>0x0000000000000000|- rs1_val==4 and imm_val==818<br>                                                                                                                                                                        |[0x8000371c]:andi a1, a0, 818<br> [0x80003720]:sd a1, 2000(ra)<br>     |
| 530|[0x80007098]<br>0x0000000000000004|- rs1_val==4 and imm_val==1637<br>                                                                                                                                                                       |[0x80003728]:andi a1, a0, 1637<br> [0x8000372c]:sd a1, 2008(ra)<br>    |
| 531|[0x800070a0]<br>0x0000000000000004|- rs1_val==4 and imm_val==44<br>                                                                                                                                                                         |[0x80003734]:andi a1, a0, 44<br> [0x80003738]:sd a1, 2016(ra)<br>      |
| 532|[0x800070a8]<br>0x0000000000000004|- rs1_val==4 and imm_val==1366<br>                                                                                                                                                                       |[0x80003740]:andi a1, a0, 1366<br> [0x80003744]:sd a1, 2024(ra)<br>    |
| 533|[0x800070b0]<br>0x0000000000000000|- rs1_val==4 and imm_val==-1365<br>                                                                                                                                                                      |[0x8000374c]:andi a1, a0, 2731<br> [0x80003750]:sd a1, 2032(ra)<br>    |
| 534|[0x800070b8]<br>0x0000000000000004|- rs1_val==4 and imm_val==6<br>                                                                                                                                                                          |[0x80003758]:andi a1, a0, 6<br> [0x8000375c]:sd a1, 2040(ra)<br>       |
| 535|[0x800070c0]<br>0x0000000000000004|- rs1_val==4 and imm_val==820<br>                                                                                                                                                                        |[0x8000376c]:andi a1, a0, 820<br> [0x80003770]:sd a1, 0(ra)<br>        |
| 536|[0x800070c8]<br>0x0000000000000004|- rs1_val==4 and imm_val==1639<br>                                                                                                                                                                       |[0x80003778]:andi a1, a0, 1639<br> [0x8000377c]:sd a1, 8(ra)<br>       |
| 537|[0x800070d0]<br>0x0000000000000004|- rs1_val==4 and imm_val==-44<br>                                                                                                                                                                        |[0x80003784]:andi a1, a0, 4052<br> [0x80003788]:sd a1, 16(ra)<br>      |
| 538|[0x800070d8]<br>0x0000000000000004|- rs1_val==4 and imm_val==46<br>                                                                                                                                                                         |[0x80003790]:andi a1, a0, 46<br> [0x80003794]:sd a1, 24(ra)<br>        |
| 539|[0x800070e0]<br>0x0000000000000002|- rs1_val==3689348814741910322 and imm_val==3<br>                                                                                                                                                        |[0x800037b8]:andi a1, a0, 3<br> [0x800037bc]:sd a1, 32(ra)<br>         |
| 540|[0x800070e8]<br>0x0000000000000110|- rs1_val==3689348814741910322 and imm_val==1365<br>                                                                                                                                                     |[0x800037e0]:andi a1, a0, 1365<br> [0x800037e4]:sd a1, 40(ra)<br>      |
| 541|[0x800070f0]<br>0x3333333333333222|- rs1_val==3689348814741910322 and imm_val==-1366<br>                                                                                                                                                    |[0x80003808]:andi a1, a0, 2730<br> [0x8000380c]:sd a1, 48(ra)<br>      |
| 542|[0x800070f8]<br>0x0000000000000000|- rs1_val==3689348814741910322 and imm_val==5<br>                                                                                                                                                        |[0x80003830]:andi a1, a0, 5<br> [0x80003834]:sd a1, 56(ra)<br>         |
| 543|[0x80007100]<br>0x0000000000000332|- rs1_val==3689348814741910322 and imm_val==819<br>                                                                                                                                                      |[0x80003858]:andi a1, a0, 819<br> [0x8000385c]:sd a1, 64(ra)<br>       |
| 544|[0x80007108]<br>0x0000000000000222|- rs1_val==3689348814741910322 and imm_val==1638<br>                                                                                                                                                     |[0x80003880]:andi a1, a0, 1638<br> [0x80003884]:sd a1, 72(ra)<br>      |
| 545|[0x80007110]<br>0x3333333333333312|- rs1_val==3689348814741910322 and imm_val==-45<br>                                                                                                                                                      |[0x800038a8]:andi a1, a0, 4051<br> [0x800038ac]:sd a1, 80(ra)<br>      |
| 546|[0x80007118]<br>0x0000000000000020|- rs1_val==3689348814741910322 and imm_val==45<br>                                                                                                                                                       |[0x800038d0]:andi a1, a0, 45<br> [0x800038d4]:sd a1, 88(ra)<br>        |
| 547|[0x80007120]<br>0x0000000000000002|- rs1_val==3689348814741910322 and imm_val==2<br>                                                                                                                                                        |[0x800038f8]:andi a1, a0, 2<br> [0x800038fc]:sd a1, 96(ra)<br>         |
| 548|[0x80007128]<br>0x0000000000000110|- rs1_val==3689348814741910322 and imm_val==1364<br>                                                                                                                                                     |[0x80003920]:andi a1, a0, 1364<br> [0x80003924]:sd a1, 104(ra)<br>     |
| 549|[0x80007130]<br>0x0000000000000000|- rs1_val==3689348814741910322 and imm_val==0<br>                                                                                                                                                        |[0x80003948]:andi a1, a0, 0<br> [0x8000394c]:sd a1, 112(ra)<br>        |
| 550|[0x80007138]<br>0x0000000000000000|- rs1_val==3689348814741910322 and imm_val==4<br>                                                                                                                                                        |[0x80003970]:andi a1, a0, 4<br> [0x80003974]:sd a1, 120(ra)<br>        |
| 551|[0x80007140]<br>0x0000000000000332|- rs1_val==3689348814741910322 and imm_val==818<br>                                                                                                                                                      |[0x80003998]:andi a1, a0, 818<br> [0x8000399c]:sd a1, 128(ra)<br>      |
| 552|[0x80007148]<br>0x0000000000000220|- rs1_val==3689348814741910322 and imm_val==1637<br>                                                                                                                                                     |[0x800039c0]:andi a1, a0, 1637<br> [0x800039c4]:sd a1, 136(ra)<br>     |
| 553|[0x80007150]<br>0x0000000000000020|- rs1_val==3689348814741910322 and imm_val==44<br>                                                                                                                                                       |[0x800039e8]:andi a1, a0, 44<br> [0x800039ec]:sd a1, 144(ra)<br>       |
| 554|[0x80007158]<br>0x0000000000000112|- rs1_val==3689348814741910322 and imm_val==1366<br>                                                                                                                                                     |[0x80003a10]:andi a1, a0, 1366<br> [0x80003a14]:sd a1, 152(ra)<br>     |
| 555|[0x80007160]<br>0x3333333333333222|- rs1_val==3689348814741910322 and imm_val==-1365<br>                                                                                                                                                    |[0x80003a38]:andi a1, a0, 2731<br> [0x80003a3c]:sd a1, 160(ra)<br>     |
| 556|[0x80007168]<br>0x0000000000000002|- rs1_val==3689348814741910322 and imm_val==6<br>                                                                                                                                                        |[0x80003a60]:andi a1, a0, 6<br> [0x80003a64]:sd a1, 168(ra)<br>        |
| 557|[0x80007170]<br>0x0000000000000330|- rs1_val==3689348814741910322 and imm_val==820<br>                                                                                                                                                      |[0x80003a88]:andi a1, a0, 820<br> [0x80003a8c]:sd a1, 176(ra)<br>      |
| 558|[0x80007178]<br>0x0000000000000222|- rs1_val==3689348814741910322 and imm_val==1639<br>                                                                                                                                                     |[0x80003ab0]:andi a1, a0, 1639<br> [0x80003ab4]:sd a1, 184(ra)<br>     |
| 559|[0x80007180]<br>0x3333333333333310|- rs1_val==3689348814741910322 and imm_val==-44<br>                                                                                                                                                      |[0x80003ad8]:andi a1, a0, 4052<br> [0x80003adc]:sd a1, 192(ra)<br>     |
| 560|[0x80007188]<br>0x0000000000000022|- rs1_val==3689348814741910322 and imm_val==46<br>                                                                                                                                                       |[0x80003b00]:andi a1, a0, 46<br> [0x80003b04]:sd a1, 200(ra)<br>       |
| 561|[0x80007190]<br>0x0000000000000001|- rs1_val==7378697629483820645 and imm_val==3<br>                                                                                                                                                        |[0x80003b28]:andi a1, a0, 3<br> [0x80003b2c]:sd a1, 208(ra)<br>        |
| 562|[0x80007198]<br>0x0000000000000445|- rs1_val==7378697629483820645 and imm_val==1365<br>                                                                                                                                                     |[0x80003b50]:andi a1, a0, 1365<br> [0x80003b54]:sd a1, 216(ra)<br>     |
| 563|[0x800071a0]<br>0x6666666666666220|- rs1_val==7378697629483820645 and imm_val==-1366<br>                                                                                                                                                    |[0x80003b78]:andi a1, a0, 2730<br> [0x80003b7c]:sd a1, 224(ra)<br>     |
| 564|[0x800071a8]<br>0x0000000000000005|- rs1_val==7378697629483820645 and imm_val==5<br>                                                                                                                                                        |[0x80003ba0]:andi a1, a0, 5<br> [0x80003ba4]:sd a1, 232(ra)<br>        |
| 565|[0x800071b0]<br>0x0000000000000221|- rs1_val==7378697629483820645 and imm_val==819<br>                                                                                                                                                      |[0x80003bc8]:andi a1, a0, 819<br> [0x80003bcc]:sd a1, 240(ra)<br>      |
| 566|[0x800071b8]<br>0x0000000000000664|- rs1_val==7378697629483820645 and imm_val==1638<br>                                                                                                                                                     |[0x80003bf0]:andi a1, a0, 1638<br> [0x80003bf4]:sd a1, 248(ra)<br>     |
| 567|[0x800071c0]<br>0x6666666666666641|- rs1_val==7378697629483820645 and imm_val==-45<br>                                                                                                                                                      |[0x80003c18]:andi a1, a0, 4051<br> [0x80003c1c]:sd a1, 256(ra)<br>     |
| 568|[0x800071c8]<br>0x0000000000000025|- rs1_val==7378697629483820645 and imm_val==45<br>                                                                                                                                                       |[0x80003c40]:andi a1, a0, 45<br> [0x80003c44]:sd a1, 264(ra)<br>       |
| 569|[0x800071d0]<br>0x0000000000000000|- rs1_val==7378697629483820645 and imm_val==2<br>                                                                                                                                                        |[0x80003c68]:andi a1, a0, 2<br> [0x80003c6c]:sd a1, 272(ra)<br>        |
| 570|[0x800071d8]<br>0x0000000000000444|- rs1_val==7378697629483820645 and imm_val==1364<br>                                                                                                                                                     |[0x80003c90]:andi a1, a0, 1364<br> [0x80003c94]:sd a1, 280(ra)<br>     |
| 571|[0x800071e0]<br>0x0000000000000000|- rs1_val==7378697629483820645 and imm_val==0<br>                                                                                                                                                        |[0x80003cb8]:andi a1, a0, 0<br> [0x80003cbc]:sd a1, 288(ra)<br>        |
| 572|[0x800071e8]<br>0x0000000000000004|- rs1_val==7378697629483820645 and imm_val==4<br>                                                                                                                                                        |[0x80003ce0]:andi a1, a0, 4<br> [0x80003ce4]:sd a1, 296(ra)<br>        |
| 573|[0x800071f0]<br>0x0000000000000220|- rs1_val==7378697629483820645 and imm_val==818<br>                                                                                                                                                      |[0x80003d08]:andi a1, a0, 818<br> [0x80003d0c]:sd a1, 304(ra)<br>      |
| 574|[0x800071f8]<br>0x0000000000000665|- rs1_val==7378697629483820645 and imm_val==1637<br>                                                                                                                                                     |[0x80003d30]:andi a1, a0, 1637<br> [0x80003d34]:sd a1, 312(ra)<br>     |
| 575|[0x80007200]<br>0x0000000000000024|- rs1_val==7378697629483820645 and imm_val==44<br>                                                                                                                                                       |[0x80003d58]:andi a1, a0, 44<br> [0x80003d5c]:sd a1, 320(ra)<br>       |
| 576|[0x80007208]<br>0x0000000000000444|- rs1_val==7378697629483820645 and imm_val==1366<br>                                                                                                                                                     |[0x80003d80]:andi a1, a0, 1366<br> [0x80003d84]:sd a1, 328(ra)<br>     |
| 577|[0x80007210]<br>0x6666666666666221|- rs1_val==7378697629483820645 and imm_val==-1365<br>                                                                                                                                                    |[0x80003da8]:andi a1, a0, 2731<br> [0x80003dac]:sd a1, 336(ra)<br>     |
| 578|[0x80007218]<br>0x0000000000000004|- rs1_val==7378697629483820645 and imm_val==6<br>                                                                                                                                                        |[0x80003dd0]:andi a1, a0, 6<br> [0x80003dd4]:sd a1, 344(ra)<br>        |
| 579|[0x80007220]<br>0x0000000000000224|- rs1_val==7378697629483820645 and imm_val==820<br>                                                                                                                                                      |[0x80003df8]:andi a1, a0, 820<br> [0x80003dfc]:sd a1, 352(ra)<br>      |
| 580|[0x80007228]<br>0x0000000000000665|- rs1_val==7378697629483820645 and imm_val==1639<br>                                                                                                                                                     |[0x80003e20]:andi a1, a0, 1639<br> [0x80003e24]:sd a1, 360(ra)<br>     |
| 581|[0x80007230]<br>0x6666666666666644|- rs1_val==7378697629483820645 and imm_val==-44<br>                                                                                                                                                      |[0x80003e48]:andi a1, a0, 4052<br> [0x80003e4c]:sd a1, 368(ra)<br>     |
| 582|[0x80007238]<br>0x0000000000000024|- rs1_val==7378697629483820645 and imm_val==46<br>                                                                                                                                                       |[0x80003e70]:andi a1, a0, 46<br> [0x80003e74]:sd a1, 376(ra)<br>       |
| 583|[0x80007240]<br>0x0000000000000002|- rs1_val==3037000498 and imm_val==3<br>                                                                                                                                                                 |[0x80003e88]:andi a1, a0, 3<br> [0x80003e8c]:sd a1, 384(ra)<br>        |
| 584|[0x80007248]<br>0x0000000000000110|- rs1_val==3037000498 and imm_val==1365<br>                                                                                                                                                              |[0x80003ea0]:andi a1, a0, 1365<br> [0x80003ea4]:sd a1, 392(ra)<br>     |
| 585|[0x80007250]<br>0x00000000B504F222|- rs1_val==3037000498 and imm_val==-1366<br>                                                                                                                                                             |[0x80003eb8]:andi a1, a0, 2730<br> [0x80003ebc]:sd a1, 400(ra)<br>     |
| 586|[0x80007258]<br>0x0000000000000000|- rs1_val==3037000498 and imm_val==5<br>                                                                                                                                                                 |[0x80003ed0]:andi a1, a0, 5<br> [0x80003ed4]:sd a1, 408(ra)<br>        |
| 587|[0x80007260]<br>0x0000000000000332|- rs1_val==3037000498 and imm_val==819<br>                                                                                                                                                               |[0x80003ee8]:andi a1, a0, 819<br> [0x80003eec]:sd a1, 416(ra)<br>      |
| 588|[0x80007268]<br>0x0000000000000222|- rs1_val==3037000498 and imm_val==1638<br>                                                                                                                                                              |[0x80003f00]:andi a1, a0, 1638<br> [0x80003f04]:sd a1, 424(ra)<br>     |
| 589|[0x80007270]<br>0x00000000B504F312|- rs1_val==3037000498 and imm_val==-45<br>                                                                                                                                                               |[0x80003f18]:andi a1, a0, 4051<br> [0x80003f1c]:sd a1, 432(ra)<br>     |
| 590|[0x80007278]<br>0x0000000000000020|- rs1_val==3037000498 and imm_val==45<br>                                                                                                                                                                |[0x80003f30]:andi a1, a0, 45<br> [0x80003f34]:sd a1, 440(ra)<br>       |
| 591|[0x80007280]<br>0x0000000000000002|- rs1_val==3037000498 and imm_val==2<br>                                                                                                                                                                 |[0x80003f48]:andi a1, a0, 2<br> [0x80003f4c]:sd a1, 448(ra)<br>        |
| 592|[0x80007288]<br>0x0000000000000110|- rs1_val==3037000498 and imm_val==1364<br>                                                                                                                                                              |[0x80003f60]:andi a1, a0, 1364<br> [0x80003f64]:sd a1, 456(ra)<br>     |
| 593|[0x80007290]<br>0x0000000000000000|- rs1_val==3037000498 and imm_val==0<br>                                                                                                                                                                 |[0x80003f78]:andi a1, a0, 0<br> [0x80003f7c]:sd a1, 464(ra)<br>        |
| 594|[0x80007298]<br>0x0000000000000000|- rs1_val==3037000498 and imm_val==4<br>                                                                                                                                                                 |[0x80003f90]:andi a1, a0, 4<br> [0x80003f94]:sd a1, 472(ra)<br>        |
| 595|[0x800072a0]<br>0x0000000000000332|- rs1_val==3037000498 and imm_val==818<br>                                                                                                                                                               |[0x80003fa8]:andi a1, a0, 818<br> [0x80003fac]:sd a1, 480(ra)<br>      |
| 596|[0x800072a8]<br>0x0000000000000220|- rs1_val==3037000498 and imm_val==1637<br>                                                                                                                                                              |[0x80003fc0]:andi a1, a0, 1637<br> [0x80003fc4]:sd a1, 488(ra)<br>     |
| 597|[0x800072b0]<br>0x0000000000000020|- rs1_val==3037000498 and imm_val==44<br>                                                                                                                                                                |[0x80003fd8]:andi a1, a0, 44<br> [0x80003fdc]:sd a1, 496(ra)<br>       |
| 598|[0x800072b8]<br>0x0000000000000112|- rs1_val==3037000498 and imm_val==1366<br>                                                                                                                                                              |[0x80003ff0]:andi a1, a0, 1366<br> [0x80003ff4]:sd a1, 504(ra)<br>     |
| 599|[0x800072c0]<br>0x00000000B504F222|- rs1_val==3037000498 and imm_val==-1365<br>                                                                                                                                                             |[0x80004008]:andi a1, a0, 2731<br> [0x8000400c]:sd a1, 512(ra)<br>     |
| 600|[0x800072c8]<br>0x0000000000000002|- rs1_val==3037000498 and imm_val==6<br>                                                                                                                                                                 |[0x80004020]:andi a1, a0, 6<br> [0x80004024]:sd a1, 520(ra)<br>        |
| 601|[0x800072d0]<br>0x0000000000000330|- rs1_val==3037000498 and imm_val==820<br>                                                                                                                                                               |[0x80004038]:andi a1, a0, 820<br> [0x8000403c]:sd a1, 528(ra)<br>      |
| 602|[0x800072d8]<br>0x0000000000000222|- rs1_val==3037000498 and imm_val==1639<br>                                                                                                                                                              |[0x80004050]:andi a1, a0, 1639<br> [0x80004054]:sd a1, 536(ra)<br>     |
| 603|[0x800072e0]<br>0x00000000B504F310|- rs1_val==3037000498 and imm_val==-44<br>                                                                                                                                                               |[0x80004068]:andi a1, a0, 4052<br> [0x8000406c]:sd a1, 544(ra)<br>     |
| 604|[0x800072e8]<br>0x0000000000000022|- rs1_val==3037000498 and imm_val==46<br>                                                                                                                                                                |[0x80004080]:andi a1, a0, 46<br> [0x80004084]:sd a1, 552(ra)<br>       |
| 605|[0x800072f0]<br>0x0000000000000002|- rs1_val==6148914691236517206 and imm_val==3<br>                                                                                                                                                        |[0x800040a8]:andi a1, a0, 3<br> [0x800040ac]:sd a1, 560(ra)<br>        |
| 606|[0x800072f8]<br>0x0000000000000554|- rs1_val==6148914691236517206 and imm_val==1365<br>                                                                                                                                                     |[0x800040d0]:andi a1, a0, 1365<br> [0x800040d4]:sd a1, 568(ra)<br>     |
| 607|[0x80007300]<br>0x5555555555555002|- rs1_val==6148914691236517206 and imm_val==-1366<br>                                                                                                                                                    |[0x800040f8]:andi a1, a0, 2730<br> [0x800040fc]:sd a1, 576(ra)<br>     |
| 608|[0x80007308]<br>0x0000000000000004|- rs1_val==6148914691236517206 and imm_val==5<br>                                                                                                                                                        |[0x80004120]:andi a1, a0, 5<br> [0x80004124]:sd a1, 584(ra)<br>        |
| 609|[0x80007310]<br>0x0000000000000112|- rs1_val==6148914691236517206 and imm_val==819<br>                                                                                                                                                      |[0x80004148]:andi a1, a0, 819<br> [0x8000414c]:sd a1, 592(ra)<br>      |
| 610|[0x80007318]<br>0x0000000000000446|- rs1_val==6148914691236517206 and imm_val==1638<br>                                                                                                                                                     |[0x80004170]:andi a1, a0, 1638<br> [0x80004174]:sd a1, 600(ra)<br>     |
| 611|[0x80007320]<br>0x5555555555555552|- rs1_val==6148914691236517206 and imm_val==-45<br>                                                                                                                                                      |[0x80004198]:andi a1, a0, 4051<br> [0x8000419c]:sd a1, 608(ra)<br>     |
| 612|[0x80007328]<br>0x0000000000000004|- rs1_val==6148914691236517206 and imm_val==45<br>                                                                                                                                                       |[0x800041c0]:andi a1, a0, 45<br> [0x800041c4]:sd a1, 616(ra)<br>       |
| 613|[0x80007330]<br>0x0000000000000002|- rs1_val==6148914691236517206 and imm_val==2<br>                                                                                                                                                        |[0x800041e8]:andi a1, a0, 2<br> [0x800041ec]:sd a1, 624(ra)<br>        |
| 614|[0x80007338]<br>0x0000000000000554|- rs1_val==6148914691236517206 and imm_val==1364<br>                                                                                                                                                     |[0x80004210]:andi a1, a0, 1364<br> [0x80004214]:sd a1, 632(ra)<br>     |
| 615|[0x80007340]<br>0x0000000000000000|- rs1_val==6148914691236517206 and imm_val==0<br>                                                                                                                                                        |[0x80004238]:andi a1, a0, 0<br> [0x8000423c]:sd a1, 640(ra)<br>        |
| 616|[0x80007348]<br>0x0000000000000004|- rs1_val==6148914691236517206 and imm_val==4<br>                                                                                                                                                        |[0x80004260]:andi a1, a0, 4<br> [0x80004264]:sd a1, 648(ra)<br>        |
| 617|[0x80007350]<br>0x0000000000000112|- rs1_val==6148914691236517206 and imm_val==818<br>                                                                                                                                                      |[0x80004288]:andi a1, a0, 818<br> [0x8000428c]:sd a1, 656(ra)<br>      |
| 618|[0x80007358]<br>0x0000000000000444|- rs1_val==6148914691236517206 and imm_val==1637<br>                                                                                                                                                     |[0x800042b0]:andi a1, a0, 1637<br> [0x800042b4]:sd a1, 664(ra)<br>     |
| 619|[0x80007360]<br>0xFFFFFFFFFFFBFDFF|- rs1_val == -262145<br>                                                                                                                                                                                 |[0x800042c0]:andi a1, a0, 3583<br> [0x800042c4]:sd a1, 672(ra)<br>     |
